<?php
/**
 * Exit if accessed directly
 */

// alm 20210418 22:12


if ( !defined( 'ABSPATH' ) ) {
    exit;
}
if ( !class_exists( 'WPCOOP_Member' ) ) {
  class WPCOOP_Member {

  public function __construct($id, $user) {
        global $wpcoop;
        // copy some parameters from wpcoop
        $this->plugin_version = $wpcoop->plugin_version;
        $this->plugin_prefix = $wpcoop->plugin_prefix;
        $this->usersdata_prefix = $wpcoop->usersdata_prefix;

        $this->plugin_textdomain = $wpcoop->plugin_textdomain;

        $this->plugin_capability = $wpcoop->plugin_capability;

        //$this->plugin_usersubs_meta=$wpcoop->plugin_usersubs_meta;

        $this->members_table=$wpcoop->subscribers_table;

        $this->id = $id;
        $this->first_name='';
        $this->last_name='';
        $this->email='';
        $this->birthdate='';
        $this->zip='';
        $this->type='';
        $this->cat='';
        $this->col='';
if($this->id==15){
//    echo 'id: '.$this->id.'<br>';
//       print_tab($user);

}

       $types=$wpcoop->admin->get_member_types();
       $typesk=array_keys($wpcoop->admin->get_member_types());
       //print_tab($types);
       //print_tab($typesk);

       //echo $user[$this->plugin_prefix.$this->usersdata_prefix.'membertype_type'];

       //echo (in_array($user[$this->plugin_prefix.$this->usersdata_prefix.'membertype_type'], array_keys($types)))? 'yes': 'no';

       if (!empty($user[$this->plugin_prefix.$this->usersdata_prefix.'membertype_type'])
            && in_array($user[$this->plugin_prefix.$this->usersdata_prefix.'membertype_type'], $typesk)) {

        $this->type=$user[$this->plugin_prefix.$this->usersdata_prefix.'membertype_type'];

          $catsk=array_keys($wpcoop->admin->get_cats());

        $this->cat=(in_array($user[$this->plugin_prefix.$this->usersdata_prefix.'internal_category'], $catsk))? $user[$this->plugin_prefix.$this->usersdata_prefix.'internal_category'] : 0;

        //type
        //'0'=>'Choisir un type de membre',
        //'c'=>'Personne physique capable',
        //'i'=>'Personne morale', (institution)
        //'m'=>'Mineur ou personne sous représentation légale',
        switch($this->type){
         case 'm':
          break;
         case 'i':
          $rep_prefix=$this->plugin_prefix.$this->usersdata_prefix.'representative_';
          $inst_prefix=$this->plugin_prefix.$this->usersdata_prefix.'memberinstitution_';
          $this->title=$user[$rep_prefix.'title'];
          $this->first_name=$user[$rep_prefix.'first_name'];
          $this->last_name=$user[$rep_prefix.'last_name'];
          $this->url=$user[$rep_prefix.'user_url'];
          $this->email=
              (is_email($user[$rep_prefix.'user_email']))? $user[$rep_prefix.'user_email'] :
              $user[$inst_prefix.'user_email']  ;
          $this->birthname=$user[$rep_prefix.'birthname'];
          $this->birthdate=self::date_to_mysql($user[$rep_prefix.'birthdate']);
          $this->birthplace=$user[$rep_prefix.'birthplace'];
          $this->nationality=$user[$rep_prefix.'nationality'];
          $this->phone=
              (!empty($user[$rep_prefix.'phone']))? $user[$rep_prefix.'phone'] :
              $user[$inst_prefix.'phone']  ;
          $this->mobile= $user[$rep_prefix.'mobile'];
          //TODO voir coherence adresse pour representant et institution
          $this->adr1=
              (!empty($user[$rep_prefix.'adr1']))? $user[$rep_prefix.'adr1'] :
              $user[$inst_prefix.'adr1']  ;
          //$this->user_adr2=
          //    (!empty($user[$rep_prefix.'adr2']))? $user[$rep_prefix.'adr2'] :
          //    $user[$inst_prefix.'adr2']  ;
          $this->zip=
              (!empty($user[$rep_prefix.'zip']))? $user[$rep_prefix.'zip'] :
              $user[$inst_prefix.'zip']  ;
          $this->city=
              (!empty($user[$rep_prefix.'city']))? $user[$rep_prefix.'city'] :
              $user[$inst_prefix.'city']  ;
          $this->country=
              (!empty($user[$rep_prefix.'country']))? $user[$rep_prefix.'country'] :
              $user[$inst_prefix.'country']  ;
          $this->job=$user[$rep_prefix.'job'];
          $this->country=
              (!empty($user[$rep_prefix.'country']))? $user[$rep_prefix.'country'] :
              $user[$inst_prefix.'country']  ;
          $this->comments=
              (!empty($user[$rep_prefix.'comments']))? $user[$rep_prefix.'comments'] :
              $user[$inst_prefix.'comments']  ;
          break;
         case 'c':
         case '0':
         default:
          $member_prefix=$this->plugin_prefix.$this->usersdata_prefix.'memberperson_';
          $this->title=$user[$member_prefix.'title'];
          $this->first_name=$user[$member_prefix.'first_name'];
          $this->last_name=$user[$member_prefix.'last_name'];
          $this->url=$user[$member_prefix.'user_url'];
          $this->email=$user[$member_prefix.'user_email'];
          $this->birthname=$user[$member_prefix.'birthname'];
          $this->birthdate=self::date_to_mysql($user[$member_prefix.'birthdate']);
          $this->birthplace=$user[$member_prefix.'birthplace'];
          $this->nationality=$user[$member_prefix.'nationality'];
          $this->phone=$user[$member_prefix.'phone'];
          $this->mobile=$user[$member_prefix.'mobile'];
          $this->adr1=$user[$member_prefix.'adr1'];
          $this->adr2=$user[$member_prefix.'adr2'];
          $this->zip=$user[$member_prefix.'zip'];
          $this->city=$user[$member_prefix.'city'];
          $this->country=$user[$member_prefix.'country'];
          $this->job=$user[$member_prefix.'job'];
          $this->comments=$user[$member_prefix.'comments'];
        }
        //print_tab($this);
      }
       //echo 'id: '.$id.'<br>';
       // print_tab($this);
   }



   public function get_member_type() {
        return apply_filters( $this->plugin_prefix.'member_get_member_type',$this->type, $this);
   }

   public function get_member_firstname() {
        return apply_filters( $this->plugin_prefix.'member_get_member_first_name',$this->first_name, $this);
   }

   public static function prepare_update_members_table($member) {
      // print_tab($member);
      //echo '------------------------------------'.$member->id.'<br>';
      //print_tab($member);
      self::$members_array[$member->id]=array(
          'id'=>$member->id,
          'first_name'=>$member->first_name,
          'last_name'=>$member->last_name,
          'email'=>$member->email,
          'birthdate'=>$member->birthdate,
          'zip'=>$member->zip,
          'type'=>$member->type,
          'cat'=>$member->cat,
          'col'=>$member->col,
      );
   }

   public static function date_to_mysql($date) {
       $mysqldate='';
       // dd/mm/yyyy -> yyyy-mm-dd else ''
       $ar_date=explode('/',$date);
       if (strlen($date)==10
           && count($ar_date)==3
           && strlen($ar_date[0])==2 && strlen($ar_date[1])==2 && strlen($ar_date[2])==4
           && checkdate($ar_date[1],$ar_date[0],$ar_date[2] )) {
           $mysqldate=$ar_date[2].'-'.$ar_date[1].'-'.$ar_date[0];
       }
       return $mysqldate;
   }





  } //class
} // if class exits
