<?php
/**
 * Exit if accessed directly
 */

// alm 20210410


if ( !defined( 'ABSPATH' ) ) {
    exit;
}
if ( !class_exists( 'WPCOOP_Share' ) ) {
  class WPCOOP_Share {
        public function __construct() {
            global $wpcoop;
            // copy some parameters from wpcoop
            $this->plugin_version = $wpcoop->plugin_version;
            $this->plugin_prefix = $wpcoop->plugin_prefix;
            $this->usersdata_prefix = $wpcoop->usersdata_prefix;

            $this->plugin_markers_file_path = $wpcoop->plugin_markers_file_path;
            $this->subs_geo_markers_filename = $wpcoop->subs_geo_markers_filename;

            $this->plugin_textdomain = $wpcoop->plugin_textdomain;

            $this->plugin_capability = $wpcoop->plugin_capability;

            $this->plugin_usersubs_meta=$wpcoop->plugin_usersubs_meta;

            // some parameters for this class
            // admin page slug name
            $this->class_slug = 'stripe';

            add_filter ($this->plugin_prefix .'endpoints', array($this,'add_stripe_endpoint'));

            // when in admin menu, add admin pages subpage and settings
            add_action( 'admin_menu', array( $this, 'setup_admin_pages' ));


        }







  } //class
} // if class exits
