<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}



global $wpcoop;
$admin=$wpcoop->admin;
$admin=$this;
$settings=$wpcoop->settings;
// errors
settings_errors();
?>
  <form method="post" action="<?php echo admin_url('admin.php?page=meetings&tab='.$args['tab']) ?>" >
    <?php settings_fields($admin->plugin_prefix.'meetings_'.$args['tab']); ?>
    <h3><?php _e('Meetings', $admin->plugin_textdomain) ?></h3>
    <div>
     <table class="form-table">
     <?php
     if (empty($args['fields'])) {
          $firstyear='2017'; // @TODO find it in parameters
          $adminyear=date('Y');
          ?>
          <select name="<?php echo $admin->plugin_prefix.'meetings_year' ?>">
          <?php
          echo '<option value="new">'.__('Add a meeting', $admin->plugin_textdomain).'</option>';
          for ($year=$adminyear; $year<$adminyear+2; $year++ ) {
            echo '<option value="'.$year.'">'.sprintf(__('List meetings of the year %s',$admin->plugin_textdomain),$year).'</option>';
          }
          ?>
          </select>
          <?php
     }

     $args['values']= array(($_REQUEST[$admin->plugin_prefix.'meetings_'.$args['tab']]['date'])?? '',
                            ($_REQUEST[$admin->plugin_prefix.'meetings_'.$args['tab']]['place'])?? '',
                            ($_REQUEST[$admin->plugin_prefix.'meetings_'.$args['tab']]['time'])?? '',
                            ($_REQUEST[$admin->plugin_prefix.'meetings_'.$args['tab']]['link'])?? ''
                           );

     for($i=1;$i<$args['items']+1;$i++) {
        $args['fields'][]=array('lib'=>sprintf(__('Résolution %d', $admin->plugin_textdomain), $i), 'name'=>'meetings_'.$args['tab'].'[item'.$i.']');
        $args['values'][]=$_REQUEST[$admin->plugin_prefix.'meetings_'.$args['tab']]['item'.$i];
     }

    foreach($args['fields'] as $k=>$field) {
      echo'
      <tr>
       <td>'.$field['lib'].'</td>
       <td><input type="text" name="'.$admin->plugin_prefix.$field['name'].'" value="'.esc_attr($args['values'][$k]).'" /></td>
      </tr>
      ';
     }

     echo'<input type="hidden" name="'.$admin->plugin_prefix.'meetings_items" value="'.esc_attr($args['items']).'" /></td>';
     ?>
     </table>
     <p class="submit">
      <input type="submit" class="button-primary" value="<?php _e('VALIDATE', $admin->plugin_textdomain) ?>" />
     </p>
     <?php if($args['items']!=0) : ?>
     <p class="submit">
      <input type="submit" name="<?php echo $admin->plugin_prefix.'end' ?>" class="button-primary" value="<?php _e('RETURN', $admin->plugin_textdomain) ?>" />
     </p>
     <?php endif ?>
    </div>
   </form>
   <?php
