<?php

if ( !defined( 'ABSPATH' ) ) {
    exit; 
}


// TODO add capability check?
// 

global $wpcoop; 
$admin=$wpcoop->admin;
$admin=$this;
$settings=$wpcoop->settings;

// errors
settings_errors();



/////// get active tab
if (!current_user_can($wpcoop->plugin_settings_capability)) {
_e('Les réglages de WPCOOP vous sont inaccessibles, consultez votre webmaster',$wpcoop->plugin_textdomain);
} else {
$tabs = $settings->get_options_tabs('tabs');  

$active_tab='coop';
if( isset( $_GET[ 'tab' ] ) ) {
foreach($tabs as $tab) {
  if($_GET[ 'tab' ]==$tab['slug']) $active_tab=$tab['slug'];
}
}


$tabs= array(
      array( 'slug'=>'ca',  'caption'=>__('CA',$wpcoop->plugin_textdomain)),
      array( 'slug'=>'ago',  'caption'=>__('AGO',$wpcoop->plugin_textdomain)),
      array( 'slug'=>'agoe', 'caption'=>__('AGOE',$wpcoop->plugin_textdomain)),
      array( 'slug'=>'age',  'caption'=>__('AGE',$wpcoop->plugin_textdomain))
    );
/////// get active tab
$active_tab='ca';
if( isset( $_GET[ 'tab' ] ) ) {
foreach($tabs as $tab) {
  if($_GET[ 'tab' ]==$tab['slug']) $active_tab=$tab['slug'];
}
}
$args=array(
    'tab'=>$active_tab, 
    'items'=>5,  // default number of items
    'fields'=>array(
      array('lib'=>__('Date JJ/MM/AAAA', $wpcoop->plugin_textdomain),
            'name'=>'meetings_'.$active_tab.'[date]'),
      array('lib'=>__('Lieu', $wpcoop->plugin_textdomain),
            'name'=>'meetings_'.$active_tab.'[place]'),
      array('lib'=>__('Heure', $wpcoop->plugin_textdomain),
            'name'=>'meetings_'.$active_tab.'[time]'),
      array('lib'=>__('Lien', $wpcoop->plugin_textdomain),
            'name'=>'meetings_'.$active_tab.'[link]')
                    )
    );



/////// displays tabs
?>
<div class="wrap">
    <div class="icon32" id="icon-options-general"><br /></div>
    <h2>
        <?php //_e('WpCoop v'.$this->version(), $this->plugin_textdomain) ?>
    </h2>
    <h2 class="nav-tab-wrapper">
    <?php
    if (!empty($tabs)) {
      foreach ($tabs as $tab) {
        $addclass= ($tab['slug']==$active_tab)? 'nav-tab-active' : '';
        ?>
        <a href="?page=<?php echo 'meetings'; ?>&tab=<?php echo $tab['slug']; ?>" class="nav-tab <?php echo $addclass; ?>"><?php echo $tab['caption']; ?> </a>
        <?php
      }
    }
    ?>
    </h2>
</div>
<?php    
switch ($active_tab) {
     case 'ca':
      // Manage board of directors
      echo '<h3>'.__('Board of directors', $wpcoop->plugin_textdomain).'</h3>';

      // check wpnonce

      if (isset($_REQUEST[$wpcoop->plugin_prefix.'end'])) unset($_REQUEST);
      if (isset($_REQUEST[$wpcoop->plugin_prefix.'meetings_year']) && $_REQUEST[$wpcoop->plugin_prefix.'meetings_year']=='new') {
        // new ca  
        $this->display_meetings_form($args);  

      } elseif (isset($_REQUEST[$wpcoop->plugin_prefix.'meetings_year'])) {
        // list ca for given year
        $year=sprintf('%04d', intval($_REQUEST[$wpcoop->plugin_prefix.'meetings_year']));
        $meetings= get_option($wpcoop->plugin_prefix.'meetings_'.$active_tab.'_'.$year);
        if (!empty($meetings)) {
            foreach($meetings as $date){
               $meeting=get_option($wpcoop->plugin_prefix.'meetings_'.$active_tab.'_'.$date); 
               print_tab($meeting); 

            }
        }
      } elseif (isset($_REQUEST[$wpcoop->plugin_prefix.'meetings_'.$active_tab]['date'])) {

        $args['items']=intval($_REQUEST[$wpcoop->plugin_prefix.'meetings_items']);  

        //format date to check it  
        $ar_date=explode('/',$_REQUEST[$this->plugin_prefix.'meetings_'.$active_tab]['date']);
        if (count($ar_date)!=3 || !checkdate($ar_date[1], $ar_date[0], $ar_date[2])) {
            // date Nok 

           $this->print_notices('notice notice-error', __('Incorrect Date', $this->plugin_textdomain));

        } else {
            // date ok

            $fdate=sprintf('%04d%02d%02d',$ar_date[2],$ar_date[1],$ar_date[0]);

            if (empty(end($_REQUEST[$this->plugin_prefix.'meetings_'.$active_tab]))) {

                while (empty(end($_REQUEST[$this->plugin_prefix.'meetings_'.$active_tab]))) {
                    array_pop($_REQUEST[$this->plugin_prefix.'meetings_'.$active_tab]);
                }

                update_option($this->plugin_prefix.'meetings_'.$active_tab.'_'.$fdate, $_REQUEST[$this->plugin_prefix.'meetings_'.$active_tab]);
                //@TODO lock tables ?    
                $dates=get_option($this->plugin_prefix.'meetings_'.$active_tab.'_'.substr($fdate,0,4));
                if (!in_array($dates,$fdate)) $meetings[]=$fdate;
                update_option($this->plugin_prefix.'meetings_'.$active_tab.'_'.substr($fdate,0,4), $meetings);
                $this->print_notices('notice notice-success', __('Meeting Created/Updated', $this->plugin_textdomain));

            }  else {
              //add lines
              $args['items']=intval($_REQUEST[$this->plugin_prefix.'meetings_items'])+5;
            }

        }
        //re-display form with values  

        $this->display_meetings_form($args);

      } else {
        // action is not set, display select only
        $this->display_meetings_form(array('tab'=>'ca','items'=>0, 'fields'=>array()));

      }


      break;
     case 'ago':
      break;
     case 'agoe':
      break;
     case 'age':
      break;
}
}