
<?php

$overview_help = '<p>' . __('WpCoop Paramètres',$this->plugin_textdomain) . '</p>' .
                '<p>' . __('Cette page permet de paramétrer le fonctionnement de la société',$this->plugin_textdomain) . '</p>'.
                '<p>' . __('Elle est organisée en plusieurs onglets, seul l\'onglet Coopérative/Société est actif lors de l\'installation du plugin',$this->plugin_textdomain) . '</p>'.
                '<p>' . __('Lorsque tous les champs de l\'onglet sont remplis et sauvés, il apparait l\'onglet sociétariat qui permet de définir le prix de la part, ainsi que la composition du sociétariat en catégories et collèges : il est possible de ne pas entrer le logo, mais un logo par défautsera utilisé dans les documents pdf, il est donc obligatoire d\'entrer un vrai logo avant toute utilisation sérieuse',$this->plugin_textdomain) . '</p>'.
                '<p>' . __("Lorsque seront définis le prix de la part et l'existence ou non de catégories et de collèges, les onglets catégories, collèges (si la société en est pourvue), gouvernance, AGS et souscriptions apparaitront",$this->plugin_textdomain) . '</p>';

$company_help = '<p>' . __("Société/Coopérative",$this->plugin_textdomain) . '</p>' .
                '<p>' . __("Cet onglet permet d'entrer les données de base de la société, notamment sa forme (coopérative ou pas, SCIC, SCOP ; le plugin est développé pour une SCIC SAS, donc de nombreuses particularités des SCOP ou des sociétés non-coopératives risquent de ne pas être implantées" ,$this->plugin_textdomain) . '</p>'.
                '<p>' . __("La date de création est la date officielle de l'assemblée générale constitutive, les souscriptions antérieures seront ajustées pour débuter à cette date" ,$this->plugin_textdomain) . '</p>'.
                '<p>' . __('La raison sociale est la raison sociale officielle de la société',$this->plugin_textdomain) . '</p>'.
                '<p>' . __("La société xx : xx est le nom commun de la société utilisée dans les phrases ",$this->plugin_textdomain) . '</p>'.
                '<p>' . __("Adresse, ville et code postal doivent correspondre au siège social",$this->plugin_textdomain) . '</p>'.
                '<p>' . __('Les conditions sont ajoutées en bas des documents pdf ; les symboles  %1$s et %2$s seront remplacés respectivement par l\'identifiant et l`email du sociétaire dans les documents. Exemple : <i>La Fraise SCIC SAS à capital variable immatriculée au RCS de XXX Numéro SIREN XXX. Vous pouvez consulter vos informations sur https://XXXXX/societaires, avec votre identifiant personnel: %1$s ou votre adresse mél %2$s, en utilisant éventuellement la procédure de récupération de mot de passe</i>',$this->plugin_textdomain) . '</p>'.
                '<p>' . __("Le logo doit être choisi d'une taille raisonnable, environ 100 à 200 pixels de cotés, il sera inséré dans tous les documents pdf générés, il est souhaitable que ce soit le logo officiel de la société",$this->plugin_textdomain) . '</p>'.
                '<p>' . __("Comme indiqué dans la vue d`ensemble, la complétion des renseignements surla société permettra l\affichage de l\'onglet sociétariat",$this->plugin_textdomain) . '</p>';
$shareholding_help = '<p>' . __("Sociétariat",$this->plugin_textdomain) . '</p>' .
               '<p>' . __("On définira ici le prix nominal de la part (action) ; ce montant ne devra pas être changé après enregistrement de souscriptions, sous peine de résultats imprévisibles " ,$this->plugin_textdomain) . '</p>'.
               '<p>' . __('Suivant les statuts et la loi, il est prévu l\'existence de catégories et/ou de collèges de sociétaires ; on renseignera ici si la société en est dotée ou pas' ,$this->plugin_textdomain) . '</p>'.
               '<p>' . __("Comme indqué dans la vue d`ensemble, la complétion de ces éléments  permettra l\'affichage des onglets catégories, collèges (si la société en est pourvue), gouvernance, AGS et souscriptions apparaitront  ",$this->plugin_textdomain) . '</p>';

$cats_help   = '<p>' . __("Categories",$this->plugin_textdomain) . '</p>' .
              '<p>' . __('sont provisoirement définies via le fichier wpcoop_config.php, leurs définitions sont affichées ci-dessous (numéro = index du collège, a=nom en une lettre, s=nom court, n= nom complet)',$this->plugin_textdomain) . '</p>';

$cols_help   = '<p>' . __("Colleges",$this->plugin_textdomain) . '</p>' .
               '<p>' . __('sont provisoirement définies via le fichier wpcoop_config.php, leurs définitions sont affichées ci-dessous (numéro = index du collège, a=nom en une lettre, s=nom court, n= nom complet)',$this->plugin_textdomain) . '</p>';

$management_help = '<p>' . __("Management",$this->plugin_textdomain) . '</p>' .
              '<p>' . __("Permet de saisir les données relatives à la gouvernance de la société SCIC SAS est au point, )" ,$this->plugin_textdomain) . '</p>'.
              '<p>' . __('Le titre et le nom de l\'autorité, par exemple Président,  Pierre Deschamps et sa signature peremttent d\'éditer les documents officiels' ,$this->plugin_textdomain) . '</p>';

$ags_help = '<p>' . __("AGS",$this->plugin_textdomain) . '</p>' .
               '<p>' . __("Permet de saisir la date de la prochaine assemblée et la date d'activation du pouvoir dans la page mon-compte des sociétaires (il faut le plugin Contact Form 7 et créer un formulaire adéquat, et entrer le numéro du formulaire via le fichier wpcoop_config.php) )" ,$this->plugin_textdomain) . '</p>';

$subscriptions_help = '<p>' . __("Subscriptions",$this->plugin_textdomain) . '</p>' .
             '<p>' . __("Permet de téléverser un bulletin de souscription de parts et le DIS correspondant, ainsi qu'un bulletin de souscription de CCA et le DIS correspondant" ,$this->plugin_textdomain) . '</p>';

get_current_screen()->add_help_tab(
array(
 'id'      => 'overview',
 'title'   => __('Overview'),
 'content' => $overview_help,
    ));
get_current_screen()->add_help_tab(
array(
 'id'      => 'company',
 'title'   => __('Company',$this->plugin_textdomain),
 'content' => $company_help,
    ));
get_current_screen()->add_help_tab(
array(
 'id'      => 'shareholding',
 'title'   => __('Shareholding',$this->plugin_textdomain),
 'content' => $shareholding_help,
    ));
get_current_screen()->add_help_tab(
array(
 'id'      => 'cats',
 'title'   => __('Categories',$this->plugin_textdomain),
 'content' => $cats_help,
    ));
get_current_screen()->add_help_tab(
array(
'id'      => 'cols',
'title'   => __('Colleges',$this->plugin_textdomain),
'content' => $cols_help,
    ));
get_current_screen()->add_help_tab(
array(
'id'      => 'ags',
'title'   => __('AGS',$this->plugin_textdomain),
'content' => $ags_help,
));
get_current_screen()->add_help_tab(
array(
'id'      => 'subscriptions',
'title'   => __('Subscriptions',$this->plugin_textdomain),
'content' => $subscriptions_help,
));


get_current_screen()->set_help_sidebar(
    '<p><strong>' . __('For more information:') . '</strong></p>' .
    '<p>' . __('<a href="https://codex.wordpress.org/Users_Your_Profile_Screen" target="_blank">Documentation on User Profiles</a>') . '</p>' .
    '<p>' . __('<a href="https://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
);
