<?php

if ( ! defined( 'ABSPATH' ) ) exit;

/// alm 20210419 15:44

//http://hookr.io/plugins/contact-form-7

function wpcoop_wpcf7_proxy_form() {
  global $wpcoop;
  $optionsags=get_option($wpcoop->plugin_prefix.'options_ags', array());
  $meta_key=(!empty($optionsags) && is_array($optionsags) && isset($optionsags['dateag']) && $wpcoop->functions->validate_date($optionsags['dateag']))? $wpcoop->plugin_prefix.'proxy_form_'.date_format( date_create_from_format('d/m/Y', $optionsags['dateag']), 'Y-m-d') : '';

  //$meta_key="wpcoop_ag2021_1_proxy_form";

  $optionspouvoir=get_option($wpcoop->plugin_prefix.'options_proxy_form', array());

  $form_id=(!empty($optionspouvoir) && is_array($optionspouvoir) && isset($optionspouvoir['number']))? $optionspouvoir['number'] : 0;

    $submission = WPCF7_Submission::get_instance();

	if ($submission) {
		$posted_data = $submission->get_posted_data();
        //wlogt(LOG,'posted_data', $posted_data);
        // ok, we received a valid form
        if (!isset($posted_data['_wpcf7']) || $posted_data['_wpcf7']!=$form_id) {
          $contact_form = WPCF7_ContactForm::get_current();
          if (!$contact_form || $contact_form->id!=$form_id) return false;
          //wlog(LOG, 'contact form ok');
        }
        // ok, it's a proxy form
        $ops=$wpcoop->members->get_ordered_users($posted_data['LoggedUserId']);
        $usersubs=$ops[$posted_data['LoggedUserId']]['usersubs'];
        if ($wpcoop->members->is_shareholder($usersubs)) {
          update_user_meta( $posted_data['LoggedUserId'], $meta_key,
            array('timestamp'=>date('Y-m-d H:i:s'), 'name'=>$posted_data['your-name'], 'message'=>$posted_data['your-message']));
          //wlog(LOG, 'Proxy form registered for userid: '.$posted_data['LoggedUserId']);
        } else {
          //wlog(LOG, 'Proxy form NOT registered for userid: '.$posted_data['LoggedUserId']);
        }
	}
    return true;
}

add_action('wpcf7_mail_sent', 'wpcoop_wpcf7_proxy_form');


function filter_wpcf7_contact_form_properties(  $properties, $instance){
    //print_tab($properties['form']);
    $properties['form']=str_replace("[text your-name]", '[text your-name "toto"]', $properties['form']);

    print_tab($properties['form']);

    return $properties;
}

//add_filter( 'wpcf7_contact_form_properties', 'filter_wpcf7_contact_form_properties', 10, 2 );
