<?php
/**
 * Exit if accessed directly
 */

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

//echo 'wpcoop begin subscriptions.php<br>';
//print_tab($_POST);

// access restriction to authorized users must be done in page access (wpcoop capability)

$inedit=false;
echo '<h3>'.__("Manage Subscriptions", $this->plugin_textdomain ).'</h3>';
//if (!empty($_POST)) print_tab($_POST);
$current_user = wp_get_current_user();
$userid=$current_user->ID;
// par defaut, on se positionne sur l'utilisateur connecté, sinon celui choisit
// verification du wpnonce wp_nonce_field( 'wpcoopsubpage2', $this->plugin_prefix.'wpnonce', true, $echo )
//echo (isset($_POST[$this->plugin_prefix.'wpnonce']) &&
//        wp_verify_nonce( $_POST[$this->plugin_prefix.'wpnonce'],'wpcoopsubpage2'))? 'ok' :'nok';

if ( isset($_POST[$this->plugin_prefix.'wpnonce']) &&
        wp_verify_nonce( $_POST[$this->plugin_prefix.'wpnonce'],'wpcoopsubpage2') &&
        isset($_POST[$this->plugin_prefix."userid"])) {

     if (isset($_POST[$this->plugin_prefix."userid"])) {
      $userid=intval ($_POST[$this->plugin_prefix."userid"]);
      echo '<h4>'.__("User: ", $this->plugin_textdomain );
      $user=get_userdata($userid);
      echo '<span>'.$user->data->display_name.'</span></h4>';
     }

} else {
      echo '
         <form action="'.admin_url('admin.php?page=add2').'" method="post" >';
          wp_nonce_field( 'wpcoopsubpage2', $this->plugin_prefix.'wpnonce', true, true );
          $this->dropdown_users(array("name" => $this->plugin_prefix."userid", 'selected'=>$userid));
          //wp_dropdown_users(array("name" => $this->plugin_prefix."userid", 'selected'=>$userid));
}
if (!isset($_POST[$this->plugin_prefix.'userid'])) {
   echo '<input type="submit"  value = "Choisir" />
   </form>
   ';
   return;
}

//print_tab($_POST);
global $wpcoop;

//
// read subscriptions
//
$ops=$wpcoop->members->get_ordered_users($userid);
//print_tab($ops);
//pack operations in case
$usersubs=array();
$noi=1; // new operation index
foreach ($ops[$userid]['usersubs'] as $sub) {
 if (!empty($sub)) {
     foreach ($sub as $k=>$step) {
       $sub[$k]['o']=$noi;
     }
     $usersubs[$noi++]=$sub;
 }
}
//print_tab($ops[$userid]['usersubs']);
//print_tab($usersubs);
// $usersubs = subs for $userid
//print_tab($usersubs[2]);


$o=count($usersubs)+1;
//
// update or edit subscriptions
//

// see if we have a form sent

if (isset($_POST[$this->plugin_prefix.'newstatus'])) {
    // init new data with post values as if good
    $newstatus=$_POST[$this->plugin_prefix.'newstatus'];
    $newqty=$_POST[$this->plugin_prefix.'newqty'];
    $newdate=$_POST[$this->plugin_prefix.'newdate'];
    $newnote=sanitize_text_field($_POST[$this->plugin_prefix.'newnote']);

    //if (!in_array($_POST['newstatus'], array_keys($this->possible_statuses))) {
    $sks= (is_admin() && isset($_POST[$this->plugin_prefix.'inedit']))?  array_keys($this->possible_statuses) : array('subswft','subsnok', 'subsok');
    if ( !in_array($_POST[$this->plugin_prefix.'newstatus'], $sks ) ) {
        $newstatus='none';
        $error=true;
        $errormess.=__('Indicated status not available',$this->plugin_textdomain).'<br />';
    }
    if (!isset($_POST[$this->plugin_prefix.'newqty'])
        || ($_POST[$this->plugin_prefix.'newqty']!=sprintf('%s',intval($_POST[$this->plugin_prefix.'newqty']))
        && !empty($_POST[$this->plugin_prefix.'newqty']))) {
        $newqty=0;
        $error=true;
        $errormess.=__('Error on quantity',$this->plugin_textdomain).'<br />';
    }
    if (!isset($_POST[$this->plugin_prefix.'newdate'])) {
        $newdate='';
        $error=true;
        $errormess.=__('Internal error on date',$this->plugin_textdomain).'<br />';
    } else if ( empty($_POST[$this->plugin_prefix.'newdate']) || strlen($_POST[$this->plugin_prefix.'newdate'])!=10 ||
                !checkdate( (int) substr($_POST[$this->plugin_prefix.'newdate'],3,2),
                            (int) substr($_POST[$this->plugin_prefix.'newdate'],0,2),
                            (int) substr($_POST[$this->plugin_prefix.'newdate'],6,4))) {
        echo 'erreur date';
        $newdate='';
        $error=true;
        $errormess.=__('Error on date',$this->plugin_textdomain).'<br />';
    }
    if (!isset($_POST[$this->plugin_prefix.'newnote'])) {
        $newnote='';
        $error=true;
        $errormess.=__('Internal error on note',$this->plugin_textdomain).'<br />';
    }

    if ($error) {
        //si erreur on ne fait rien et on affiche message d'erreur
        echo '<span class="error_message" style="color: red" >'.$errormess.'</span><br/>';
    } else {
        // ok update meta
        echo 'edit/new newstatus: '.$newstatus;
        if ($newstatus!='none') {
            if (isset($_POST[$this->plugin_prefix.'inedit']) && isset($_POST[$this->plugin_prefix.'step'])) {
                // edit replace instead of add
                $ar_step=explode('_',$_POST[$this->plugin_prefix.'step']);
                if (count($ar_step)==3) {
                 $usersubs[intval($ar_step[1])][intval($ar_step[2])]=
                    array('s'=>$newstatus, 'q'=>$newqty, 'd'=>substr($newdate,0,2).substr($newdate,3,2).substr($newdate,6,4), 'o'=>intval($ar_step[1]), 'n'=>esc_html($newnote));
                } else {
                  die ( 'error on data' );
                }
            } else {
                // new, add new operation
                $usersubs[$o][]=
                    array('s'=>$newstatus, 'q'=>$newqty, 'd'=>substr($newdate,0,2).substr($newdate,3,2).substr($newdate,6,4),
                          'o'=>$o, 'n'=>$newnote);
                // new operation
            }
            //print_tab($usersubs);
        }
    }

} // new status exists

// see if we want to delete a step (and steps after it)
// get index from  $this->plugin_prefix.'delete'.$i
$lend= strlen($this->plugin_prefix.'delete');
// see if we want to edit a step
// get index from  $this->plugin_prefix.'edit'.$i
$lene= strlen($this->plugin_prefix.'edit');
foreach ($_POST as $k=>$v) {
   // echo $k.' '.$v.'<br>';
  // admin functions
  if (is_admin()) {
     //echo 'is_admin<br>'  ;
    // delete ? admin, delete only the given step
    // receive userid_operation_step
    if (substr($k,0,$lend) == $this->plugin_prefix.'delete') {
        //echo substr($k,$lend);
        $ar_step=$this->get_step_array(substr($k,$lend));
        if (count($ar_step)!=3) continue;
        unset($usersubs[$ar_step[1]][$ar_step[2]]);
        if (empty($usersubs[$ar_step[1]])) unset($usersubs[$ar_step[1]]);
        break;
    }
    //edit ?
    if (substr($k,0,$lene) == $this->plugin_prefix.'edit') {
        $inedit=true;
        $ar_step=explode('_', substr($k,$lene),3);
        $step=$usersubs[intval($ar_step[1])][intval($ar_step[2])];
        if (substr($step['s'], 0, 5)=='share') {
            //don't edit share* status ?
             echo '<span class="error_message" style="color: red" >'.__("This step can't changed", $this->plugin->textdomain).'</span><br/>';
             $inedit=false;
        } else {
            $this->display_subscription_form($userid, $step['s'], $step['q'], $step['d'], substr($k,$lene), 'inedit');
        }
    }
  } // admin functions

  // wpcoop non admin functions
  // none ? delete step and beyond
  $lenn=strlen($this->plugin_prefix.'none');
  if (substr($k,0,$lenn) == $this->plugin_prefix.'none') {
        echo 'none_'.substr($k,$lenn);
        $ar_step=explode('_', substr($k,$lenn),3);
        $s=intval($ar_step[2]);
        $i=$s-1;
        // if step 0 delete all operation and reindex following operations
        if ($s==0) {
            foreach($usersubs as $o=>$sub) {
                if ($o > intval($ar_step[1])) $usersubs[$o-1]=$sub; else $usersubs[$o];
            }
            unset($usersubs[$o]);
        } else {
            // else remove selected step and all following steps
            while ( $i++ < count($usersubs[intval($ar_step[1])]) ) {
                // delete all step including and after the selected step
                unset($usersubs[intval($ar_step[1])][$i]);
            }
        }
        //print_tab($ops);
        break;
  }

  // get action keys (all possible operations)
  $ak=$this->get_action_keys();
  // see if a permitted operation is requested
  // check all actions
  foreach($ak as $a) {
    // find if post key corresponds to action
    if (substr($k,0,strlen($this->plugin_prefix.$a))==$this->plugin_prefix.$a) {
      // $a action to do: verify it is possible
//echo'action to do : '.$a.'<br>';
//print_tab($usersubs[2]);

      $ar_step=$this->get_step_array(substr($k,strlen($this->plugin_prefix.$a)));
//print_tab($ar_step);
      // first, check if step is the last one of operations
	//print_tab($usersubs);
   //   if (count($usersubs[$ar_step[1]])-1!=$ar_step[2]) {
	//	  echo 'not permitted<br>';
	//	  print_tab($ar_step);
	//	  print_tab($usersubs[$ar_step[1]]);
	//	  die ('stop not permitted');
	//	  break;
	//  }
      $status=$usersubs[$ar_step[1]][$ar_step[2]]['s'];
      foreach($this->workflow[$status] as $action) {
        if ($action['action']==$a) {
         // ok do action
         // print_tab($action);
         //  print_tab($ar_step);
         //echo 'do_action: '.$a.'<br>';
         if ($action['action']=='delsubs') {
            // if action = delsubs, delete step
            unset($usersubs[$ar_step[1]][$ar_step[2]]);
            // if step deleted is 0, then delete operation and pack
            if ($ar_step[2]==0) {
             unset($usersubs[$ar_step[1]]);
             $noi=1; // new operation index
             foreach ($usersubs as $sub) {
                 if (!empty($sub)) {
                   foreach ($sub as $k=>$step) {
                        $sub[$k]['o']=$noi;
                   }
                   $usersubs[$noi++]=$sub;
                 }
             }
            }
         } else {

            if ( empty($_POST[$this->plugin_prefix.'newdate']) || strlen($_POST[$this->plugin_prefix.'newdate'])!=10 ||
                !checkdate( (int) substr($_POST[$this->plugin_prefix.'newdate'],3,2), (int) substr($_POST[$this->plugin_prefix.'newdate'],0,2),
                            (int) substr($_POST[$this->plugin_prefix.'newdate'],6,4)) ) {
                echo '<span class="error_message" style="color: red" >'.__('Error on date', $this->plugin_textdomain).'</span><br/>';
                break;
            }

			if (isset($action['aqtyreq']) && $action['aqtyreq']=='y' &&
				 isset($_POST[$this->plugin_prefix.'aqty']) &&
				 !empty($_POST[$this->plugin_prefix.'aqty']) && (int) $_POST[$this->plugin_prefix.'aqty']==$_POST[$this->plugin_prefix.'aqty']){

				if ($_POST[$this->plugin_prefix.'aqty'] % $this->get_share_price()!=0){
                	echo '<span class="error_message" style="color: red" >'.__('Error on amount, must be multiple of share price', $this->plugin_textdomain).'</span><br/>';
                	break;

				}

				if (
					(!isset($usersubs[$ar_step[1]][$ar_step[2]]['r']) && $_POST[$this->plugin_prefix.'aqty']>$usersubs[$ar_step[1]][$ar_step[2]]['q']) ||
					(isset($usersubs[$ar_step[1]][$ar_step[2]]['r']) && $_POST[$this->plugin_prefix.'aqty']>$usersubs[$ar_step[1]][$ar_step[2]]['r'] )
					) {

                	echo '<span class="error_message" style="color: red" >'.__('Error on quantity', $this->plugin_textdomain).'</span><br/>';
                	break;
				}

            }

            $date = sprintf("%02d",((int) substr($_POST[$this->plugin_prefix.'newdate'],0,2))).
                    sprintf("%02d",((int) substr($_POST[$this->plugin_prefix.'newdate'],3,2))).
                    sprintf("%02d",((int) substr($_POST[$this->plugin_prefix.'newdate'],6,4)));

            // create new step with status nextstate and date !!!
//echo 'action <br>';
//print_tab($ar_step);
//print_tab($action);
            $usersubs[$ar_step[1]][]=array('s'=>$action['nextstate'],
                                           'q'=>$usersubs[$ar_step[1]][$ar_step[2]]['q'],
                                           'd'=>$date,
                                           'n'=>sanitize_text_field($_POST[$this->plugin_prefix.'newnote']),
                                           'o'=>$ar_step[1]);
 			 if (isset($action['aqtyreq']) && $action['aqtyreq']=='y' &&
				 isset($_POST[$this->plugin_prefix.'aqty']) &&
				 !empty($_POST[$this->plugin_prefix.'aqty']) && (int) $_POST[$this->plugin_prefix.'aqty']==$_POST[$this->plugin_prefix.'aqty']){
//echo 'aqty<br>';
//print_tab($usersubs[$ar_step[1]]);
				 $usersubs[$ar_step[1]][array_key_last($usersubs[$ar_step[1]])]['q']=$_POST[$this->plugin_prefix.'aqty'];
			     //create index 'r' on originate step if not exists to store remaining parts to act on
				 if (!isset($usersubs[$ar_step[1]][$ar_step[2]]['r'])) {
				  $usersubs[$ar_step[1]][$ar_step[2]]['r']=$usersubs[$ar_step[1]][$ar_step[2]]['q']-$_POST[$this->plugin_prefix.'aqty'];
				 } else {
				  $usersubs[$ar_step[1]][$ar_step[2]]['r']-=$_POST[$this->plugin_prefix.'aqty'];
				 }

//print_tab($usersubs[$ar_step[1]]);
         }
          //print_tab($ops[$ar_step[0]]['usersubs']);
		 }
        } // is this this action?
      } // each workflow
    } // post key = action
  } // each action key
} //scan all $_POST indexes for edit or delete
// update in case we change something
//if (update_user_meta($userid, $this->plugin_usersubs_meta, $usersubs)===false) die ("Server Error");

if (update_user_meta($userid, $this->plugin_usersubs_meta, $usersubs)!==false){
	//print_tab($usersubs[2]);
	//$this->senduserdoc($userid, $usersubs);
}
//die ('stop subscriptions after update');
//update_user_meta($userid, $this->plugin_usersubs_meta, $usersubs);

//
// display user operations history if any
// provide edit and delete buttons
//
if ($inedit) return;
//print_tab($usersubs);

// display subs, don't display action buttons and fields
//echo 'call display_user_subs_table<br>';
$wpcoop->members->display_user_subs_table($userid, $usersubs, true);


// display subscription step form to create new operation or edit existing
//echo ("$userid, $newstatus, $newqty, $newdate");

$this->display_subscription_form($userid, $newstatus, $newqty, $newdate, '', 'submit');

// end of included file
