<?php

if (!defined('ABSPATH')) {
    exit;  //should not be here
}

$maintenance=false;

global $wpcoop;
if (!is_object($wpcoop)) {
    get_header();
    echo "<h3>Erreur, plugin wpcoop inactif</h3>";
    get_footer();
    exit;
} elseif ($maintenance) {
    get_header();
    echo "<h3>Désolé, maintenance en cours sur cette page, revenez plus tard, merci</h3>";
    get_footer();
    exit;
}  elseif (strpos($val, 'parts')!==0) {
    get_header();
    echo "<h3>Désolé, je ne comprends pas la demande</h3>";
    get_footer();
    exit;

}
// get subscribers data ordered by name or date if $order='date'
$ops = $wpcoop->members->get_ordered_users('subs', $order);
// calcul des parts et souscriptions
// ops -> users data
// pps -> price per share givan by including script
//$tv=0; // reset total values
$ts=0; // reset total shares
$n=0;  // nbre souscripteur
//TODO prendre en compte paramètrage
$ncat=array();
//TODO prendre en compte paramètrage
$ntype=array();
//
$nshares=array();
get_header();
echo '<div id="content" class="site-content">';
echo '<div id="primary" class="content-area">';
echo '<h3>Répartition des parts sociales à ce jour</h3><p/>';
if (empty($ops)) {
  echo '<h4>Pas encore de parts sociales enregistrées</h4>';
  echo '</div>';
  get_sidebar();
  get_footer();
  exit;
}
//print_tab($ops);
foreach ($ops as $id=>$user) {
    if (empty($user['usersubs'])) continue;
    $data=$user['shares_data'];
    $s=$data['shares'];     //quantity of shares detained
    //$v=$data['value'];      //subscriptions value for this user (even if not validated)
    $d=$data['date'];       //date
    // counters
    // n number of shareholders
    // ts total shares
    // tv total value
    if ($s>0) {
        $n++;
    }
    $ts+=$s;
    //


    $width=40; //default width
    if ($s!=0) {
        if (isset($nshares[$s])) $nshares[$s]+=1; else $nshares[$s]=1;

        $cat = $wpcoop->admin->get_member_category($id,$user);

        //TODO use parameters
        $cats=array(
            "p"=>"Producteur/salarié",
            "b"=>"Bénéficiaire",
            "s"=>"Soutien",
            "c"=>"Collectivité",
            "u"=>"Non précisé",
        );

        switch ($cat) {
         //1 producteurs/salariés
            case '1';
                $dcat='p';
                $ncat['p'] = (isset($ncat['p']))? $ncat['p']+1 : 1;
                break;
            case '2':
                $dcat='b';
                $ncat['b'] = (isset($ncat['b']))? $ncat['b']+1 : 1;
                break;
            case '3':
                $dcat='s';
                $ncat['s'] = (isset($ncat['s']))? $ncat['s']+1 : 1;
                break;
            case '4':
                $dcat='c';
                $ncat['c'] = (isset($ncat['c']))? $ncat['c']+1 : 1;
                break;
            default:
                $ncat['u'] = (isset($ncat['u']))? $ncat['u']+1 : 1;
                $dcat='?';
        }

        $type = $wpcoop->admin->get_member_type($id,$user);

        //TODO : use parameters
        $types=array('c'=>"Personne physique",
                     'i'=>"Personne morale",
                     'm'=>"Mineur ou représenté",
                     '?'=>"Type non précisé"
                     );



        switch ($type) {
            // person with capability
            case 'c':
                $dtype='p';
                $prefix=$wpcoop->plugin_prefix.$this->usersdata_prefix.'memberperson_';
                $thedisplayname=$wpcoop->admin->get_thedisplayname($id,$user,$prefix, true);

                $institution = '';
                $ntype['c'] = (isset($ntype['c']))? $ntype['c']+1 : 1;
                break;
            //institution
            case 'i':
                $dtype='m';
                $prefix=$wpcoop->plugin_prefix.$this->usersdata_prefix.'representative_';
                $thedisplayname=$wpcoop->admin->get_thedisplayname($id,$user,$prefix, true);
                $prefix=$wpcoop->plugin_prefix.$this->usersdata_prefix.'memberinstitution_';
                $institution = $user[$prefix.'legalform']." ".$user[$prefix.'name']."\n";
                $ntype['i'] = (isset($ntype['i']))? $ntype['i']+1 : 1;
                break;
            // person with legal representative
            case 'm':
                $dtype='a';
                $prefix=$wpcoop->plugin_prefix.$this->usersdata_prefix.'memberperson_';
                $thedisplayname=$wpcoop->admin->get_thedisplayname($id,$user,$prefix, true);
                $institution = '';
                $ntype['m'] = (isset($ntype['m']))? $ntype['m']+1 : 1;
               break;
            // type not set or unknown
            default:
                $dtype='?';
                $prefix=$wpcoop->plugin_prefix.$this->usersdata_prefix.'memberperson_';
                $thedisplayname=$wpcoop->admin->get_thedisplayname($id,$user,$prefix, true);
                $institution='';
                $ntype['?'] = (isset($ntype['?']))? $ntype['?']+1 : 1;
        }

        $fdate=substr($d,0,2).'/'.substr($d,2,2).'/'.substr($d,4,4);

        $wpcoop->shares->get_share_price()*$s;


    }
    // nobody issue empty line
}
// sort on number of shares
krsort($nshares);

echo '<table style="width: 100%; border: solid 1px black;"><tr><th>Pourcentage des parts détenues</th><th>Nbre de parts</th><th>Nbre de sociétaires</th></tr>';
foreach($nshares as $s=>$n){
  echo '<tr><td style="text-align: center">'.(intval(100*$s/$ts)).'%</td><td style="text-align: center">'.$s.'</td><td style="text-align: center">'.$n.'</td></tr>';
}
echo '</table>';

echo '<table style="width: 100%; border: solid 1px black;"><tr><th>Type</th><th>Nbre de sociétaires</th></tr>';
foreach($ntype as $type=>$n) {
  echo '<tr><td>'.$types[$type].'</td><td style="text-align: center">'.$n.'</td></tr>';
}
echo '</table>';

echo '<table style="width: 100%; border: solid 1px black;"><tr><th>Catégorie</th><th>Nbre de sociétaires</th></tr>';
foreach($ncat as $cat=>$n) {
  echo '<tr><td>'.$cats[$cat].'</td><td style="text-align: center">'.$n.'</td></tr>';
}
echo '</table>';
echo '</div>';
get_sidebar();
get_footer();
