<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

$this->coop_types_options= array(
  'null'=>'--',
  'no'=>'NON',
  'scop'=>'SCOP',
  'scic'=>'SCIC'
);
$this->coop_legal_forms= array(
  'null'=>'--',
  'sa'=>'SA',
  'sarl'=>'SARL',
  'sas'=>'SAS'
);

// les etiquettes qui n'apparaissent pas ou sont commentées
// ne seront pas affichees dans le menu réglages
$this->coop_parameters_active_tabs= array(
  // comment tab slug to display
  'coop',       //coop must be allways active
  'shares',     //shares must be allways active
  'cats',     //cats may be inactive
  'cols',     //cols may be inactive
  'management', //management must be allways active
  //'councils', //councils may be inactive
  'ags', //ags may be inactive
  //'meetings', //meetings may be inactive
  //'projects', //projects may be inactive
  //'promositems',   //promos may be inactive
  'subs',       //subs must be allways active
  //'inlineitems',  //inline items may be disabled by inlinepay in settings
);
/*
//eventuellement, activer pour définir le numéro du formulaire fom contact seven utilsé pour donner son pouvoir aux AGS
update_option($this->plugin_prefix.'options_proxy_form', array(
  'number'=>543,       //wpcf7 form id for proxies
  'posttype'=>'wpcf7_contact_form',       //wpcf7 form post type
));
*/


// eventuellement activer pour mettre a jour  les items payables en ligne
// ici les liens pour pep2a
/*
update_option($this->plugin_prefix.'options_inlineitems', array(
  'pep2anparts'=>array('url'=>'https://www.payplug.com/p/Xy6jr'), // pep2a 1 part ou plus
  'pep2a5parts'=>array('url'=>'https://www.payplug.com/p/Xy60E')  // pep2a 5 parts sur payplug
                                                  )) ;
*/

// pour définir ou mettre a jour les catégories en attendant que l'interface de paramètrage soit faite, décommenter au lancement ce qui suit, pour créer l'option des catégories
// nombre=index (attention à la cohérence en cas de changement)
// a (abrégé) en une lettre, s(short) en 4 lettres max, f(full) nom complet

update_option($this->plugin_prefix.'options_cats',
array(
  0=>array('a'=>'-',
           's'=>'----',
           'n'=>__('Choose a category for member', $this->plugin_textdomain)),
  1=>array('a'=>__('P', $this->plugin_textdomain),
           's'=>__('Prod.', $this->plugin_textdomain),
           'n'=>__('Producteurs - propriétaires/salariés', $this->plugin_textdomain)),
  2=>array('a'=>__('B', $this->plugin_textdomain),
           's'=>__('Béné.', $this->plugin_textdomain),
           'n'=>__('Bénéficiaires - sur territoire', $this->plugin_textdomain)),
  3=>array('a'=>__('S', $this->plugin_textdomain),
           's'=>__('Sout.', $this->plugin_textdomain),
           'n'=>__('Soutiens - hors territoire', $this->plugin_textdomain)),
  4=>array('a'=>__('C', $this->plugin_textdomain),
           's'=>__('Coll.', $this->plugin_textdomain),
           'n'=>__('Collectivités publiques', $this->plugin_textdomain))));

// pour définir ou mettre a jour les colleges en attendant que l'interface de paramètrage soit faite, décommenter au lancement ce qui suit, pour créer l'option des catégories
// nombre=index (attention à la cohérence en cas de changement)
// a (abrégé) en une lettre, s(short) en 4 lettres max, f(full) nom complet

/*
update_option($this->plugin_prefix.'options_cols',
array(
  0=>array('a'=>'-',
           's'=>'----',
           'n'=>__('Choose a college for member', $this->plugin_textdomain)),
  1=>array('a'=>__('P', $this->plugin_textdomain),
           's'=>__('Prod.', $this->plugin_textdomain),
           'n'=>__('Producteurs', $this->plugin_textdomain)),
  2=>array('a'=>__('C', $this->plugin_textdomain),
           's'=>__('Cli.', $this->plugin_textdomain),
           'n'=>__('Clients', $this->plugin_textdomain)),
  3=>array('a'=>__('S', $this->plugin_textdomain),
           's'=>__('Sal.', $this->plugin_textdomain),
           'n'=>__('Salariés', $this->plugin_textdomain)),
  4=>array('a'=>__('F', $this->plugin_textdomain),
           's'=>__('Four.', $this->plugin_textdomain),
           'n'=>__('Fournisseurs', $this->plugin_textdomain))));
*/

//pour definir ou mettre a jour une promo
/*
update_option($this->plugin_prefix.'options_promositems',array(
  'monkitsolaire'=>array(
  'enabled'=>'y', //nom de la promo
  'name'=>'monkitsolaire', //nom de la promo
    'label'=>'Accord avec Mon Kit Solaire', //libellé
    'engagement'=>3,          // engagement etre socetaire, nombre annees
    'datedebut'=>'',          // date debut promo
    'datefin'=>'',            // date fin
    'codepromo'=>'PEP2A',     // code promo
    'URLconditions'=>'https://pep2a.fr/blog/2019/10/30/kits-autoconsommation-photovoltaique/',      // url de lapage donnant les URLconditions
    'URLfournisseur'=>'https://www.monkitsolaire.fr/',     // url fournisseur peremettant d'accéder à lapromo
  ),
  'promobidon'=>array(
  'enabled'=>'', //nom de la promo vide si non y si oui
    'name'=>'promobidon', //nom de la promo
    'label'=>'Accord avec bidon', //libellé
    'engagement'=>3,          // engagement etre socetaire, nombre annees
    'datedebut'=>'01/01/2021',          // date debut promo
    'datefin'=>'31/12/2022',            // date fin
    'codepromo'=>'tartempion',     // code promo
    'URLconditions'=>'http://google.fr',      // url de lapage donnant les URLconditions
    'URLfournisseur'=>'https://enercoop.fr',     // url fournisseur peremettant d'accéder à lapromo
  ),
));
*/
