<?php
/**
 * Exit if accessed directly
 */

// alm 20200931


if ( !defined( 'ABSPATH' ) ) {
    exit; 
}
if (!class_exists( 'WPCOOP_Subscription' ) ) {
  class WPCOOP_Subscription {
   
    
      
   public function __construct() {
     global $wpcoop; 
     $this->plugin_prefix=$wpcoop->plugin_prefix;
     $this->subscription_steps();  

   }

   public function get_step(){
       
     return 1;  
   }
      
   public function is_shareholder_by_id($id){
       
       
       
       
     return false;  
   }
      
   public function send_subscribe_link_email($email){
     $str='';  
       
     if ($user=get_user_by('email', $email)!==false){
       // account exists for this email
       // send login link with redirect to subscribe
         
     } else {
       // no user with this email  
       // send link to subscribe form  
     }
  
       
       
     $content='contenu';  
       
     if (wp_mail($email, 'instructions pour souscription pep2a', $content,     array('From: souscriptions pep2a <souscriptions@pep2a.fr>'))){     
            $str.= '<span>Un email a été envoyé à '.esc_html($email).', vérifiez votre boite email et votre dossier spam, cliquez sur le lien contenu dans l\'email pour continuer la souscription </span>';    
     } else {
            $str.= '<span style="color: red;">Un email n\'a pu être envoyé à '.esc_html($email).'</span>, vérifier que cette adresse email est correcte et ré-essayer plus tard, sinon contactez nous.';   
     }
     return $str;  
   }

   public function ok_or_new_email($email, $newemail=''){
       $str = 'vous êtes connecté sur ce site avec l\'email: '.esc_html($email).'<br>';
       $str.= 'voulez-vous utiliser cet email pour souscrire ?<br>
       Si oui, laissez vide/effacer l\'email ci-dessous et cliquez sur le bouton ok, sinon entrez une autre de vos adresse email, puis cliquez sur le bouton ok, vous recevrez à cet adresse un lien pour poursuivre la souscription';
       $str.='
          <form>
           <span>Email</span><input type="text" name="'.$this->plugin_prefix.'new_email" value="'.esc_attr($newemail).'" />
           <input type="submit" name="'.$this->plugin_prefix.'submit_new_email" value="OK"/>
          </form>';
    return $str;      
   }





 function wp_coop_get_blogs_from_email($email){
  //$email must be validated email    
  $user=get_user_by('email',$email); 
  $userblogs=false;   
  if (!empty($user)) {
    $userblogs=get_blogs_of_user($user->ID);
  }
  return $userblogs; // false if user is not registered, array of blogs user is registered on, empty if user exits but not registered on any blogs, 
}

function wpcoop_get_possible_user() {
    
    
}

function wpcoop_check_key() {
    
  return 'no';  
}
      
function subscription_steps(){
    get_header();
    echo 'souscription';
    get_footer();
    exit;
}      

function subscribe_form( $userid=0) {
  global $wpcoop; 
  //print_tab($wpcoop);
  $user_data_fields=$wpcoop->admin->get_user_data_fields();
  //print_tab($user_data_fields);
  $wpcoop_fields=$wpcoop->admin->get_users_added_fields();
  //print_tab($wpcoop_fields);
  // init user_data    
  $user_data=array(); 
  // no userObj yet 
  $userObj=false;

    // see class wpcoop_admin admin_subscribers()  
    // fill user_data in case user exists
    $user_data['ID']= $userid;
    // fill   user_data with old values 
    $userObj = get_userdata( $userid );       
    $user_data['roles']= $userObj->roles; 
    $meta=get_user_meta($userid);      
    foreach($user_data_fields as $k=>$field) { 
        //echo 'user_data_field: '.$k.'<br>';
        //$user_data[$k]= (isset($meta[$this->plugin_prefix.$k]))? $meta[$this->plugin_prefix.$k][0] : '';
        $user_data[$k]= (isset($userObj->{$k}))? $userObj->{$k} : '';
    } 
    foreach($wpcoop_fields['tabs'] as $tab) { 
       if($tab['slug']!=$slug) {
            $slug=$tab['slug'];
            if ($slug=='wp') {
              continue;                                  
            }
            $prefix = ($slug=='wp')? '' : $wpcoop->plugin_prefix.$wpcoop->usersdata_prefix.$slug.'_';

       }
       foreach($tab['fields'] as $field) {   
        $user_data[$prefix.$field['name']]= (isset($meta[$prefix.$field['name']]))? $meta[$prefix.$field['name']][0] : '';
        switch($field['tag']) {
            case 'input':    
                switch($field['type']){
                    case 'checkbox':
                        //echo $prefix.$field['name'].': '.meta[$prefix.$field['name']].'<br>';
                        $user_data[$prefix.$field['name']] = (isset($meta[$prefix.$field['name']]) && $meta[$prefix.$field['name']][0]=='y') ? 'y' : 'n';
                        break;
                    case 'text':
                    default:    
                }
                break;
            case 'textarea':
            case 'select':
            default:      
        }   
       } 
    } //$wpcoop_fields 
    //print_tab($user_data); 
  
    // copy wp fields
    $pluginprefix=$wpcoop->plugin_prefix;
    if ($user_data[$pluginprefix.$wpcoop->usersdata_prefix.'membertype_type']=='c') {
        $prefix=$pluginprefix.$wpcoop->usersdata_prefix.'memberperson_';
    } else {
        $prefix=$pluginprefix.$wpcoop->usersdata_prefix.'representative_';
    }
    $user_data[$prefix.'first_name']=$user_data['first_name'];
    $user_data[$prefix.'last_name']=$user_data['last_name'];
    $user_data[$prefix.'user_email']=$user_data['user_email'];
    $user_data[$prefix.'user_url']=$user_data['user_url'];
    //echo '----userdata--current data--<br>'; 
    $user_data['cap'] =($userObj->has_cap($wpcoop->plugin_capability))? 1 : 0; 
    //print_tab($user_data); 
      
    
                // user form
                ?>
                    <form  method="post" >
                    <?php //echo wp_nonce_field( 'wpcoopsubscribers', $pluginprefix.'wpnonce', true, false ); 
                    //echo '<table>';
                    if (isset($user_data['ID']) && $user_data['ID']!=-1) {   
                     //echo '<input type="hidden" name="'.$pluginprefix.'user_id'.'" value="'.$user_data['ID'].'"   />';   
                    }
                    $slug='';
                    foreach($wpcoop_fields['tabs'] as $tab) {
                        if($tab['slug']!=$slug) {
                            if ($tab['slug']=='internal') continue;
                            echo '<table class="'.$pluginprefix.$tab['class'].'" >';
                            $slug=$tab['slug'];
                            $prefix = ($slug=='wp')? '' : $pluginprefix.$wpcoop->usersdata_prefix.$slug.'_';
                            echo '<tr><th class="'.$pluginprefix.$tab['class'].'" >'.$tab['caption'].'</th></tr>';
                        }
                        foreach($tab['fields'] as $field) {
                          //echo $prefix.$field['name'].': '.$user_data[$prefix.$field['name']].'<br>'; 
                          $dis= (isset($field['dis']) && $field['dis']=='y')? 'disabled="disabled"' : '';    
                          switch ($field['tag']) {   
                                case 'textarea':      
                                 echo '<tr>
                                        <td>'.esc_html($field['caption']).'</td>
                                        <td><textarea  '.$dis.' name="'.esc_attr($prefix.$field['name']).'">'.esc_attr($user_data[$prefix.$field['name']]).'</textarea></td>
                                        <td>'.esc_html($field['desc']).'</td>
                                       </tr>'; 
                                 break; 
                                case 'select':
                                 $options= (isset($field['values']))? $wpcoop->admin->get_select_options($field['values']) : array() ;
                                 if (!empty($options)) {                     
                                     echo  '<tr>
                                             <td>'.esc_html($field['caption']).'</td>
                                             <td>
                                              <select '.$dis.' name="'.esc_attr($prefix.$field['name']).'" >';
                                              foreach($options as $k=>$option) {
                                                $sel= ($user_data[$prefix.$field['name']]==$k)? 'selected="selected"' : '';  
                                                echo '<option value="'.esc_attr($k).'" '.$sel.' >'.esc_html($option).'</option>';  
                                              }  
                                      echo '       
                                              </select>
                                             </td>
                                             <td>'.esc_html($field['desc']).'</td>
                                            </tr>'; 
                                 }
                                 break; 
                                case 'input':
                                 $type="text";
                                 $checked='';
                                 $value='value="'.esc_attr($user_data[$prefix.$field['name']]).'"';  
                                 switch ($field['type']) {
                                  case 'checkbox': 
                                   $type="checkbox"; 
                                   if($user_data[$prefix.$field['name']]=='y') $checked='checked="checked"'; 
                                   $value='';         
                                   break;
                                 }
                                 echo  '<tr>
                                         <td>'.esc_html($field['caption']).'</td>
                                         <td><input '.$dis.'type="'.$type.'" name="'.esc_attr($prefix.$field['name']).'" '.$value.' '.$checked.' /></td>
                                         <td>'.esc_html($field['desc']).'</td>
                                        </tr>'; 
                               break;  
                          } // switch tag
                        } // field
                     
                        echo '</table>';
                    }
                    //echo '</table>'; 
                    //submit_button( __( 'Record', $wpcoop->plugin_textdomain ), 'primary', $pluginprefix.'record', true);
                    echo '</form>';      
    
 //echo 'fin';   
    
    
}
      
 /*     
elseif ($checkkey=='no' && $userid==0) {
    $code=1278547;  
 
    echo 'Entrez ci-dessous l\'adresse email avec la quelle vous voulez souscrire.<br>Si vous pensez être inscrit sur un site PEP2A mais vous ne savez plus avec quelle adresse email, vous pouvez entrer jusqu\'à trois adresses email (séparées par des virgules).<br/>
    Répondez à la question posée qui permet d\'éviter les réponses par robots, puis validez en cliquant OK, un message vous sera envoyé avec les instructions pour continuer';
    echo '<form  method="post" >';
    wp_nonce_field( $wpcoop->plugin_prefix.'subscribe', $wpcoop->plugin_prefix.'wpnonce', true );
    $val1=random_int(0,10);$val2=random_int(0,10);$val3=random_int(0,10);
    $sum=$val1+$val2+$val3;
    $hash=hash('md5', $sum+$code);
    echo '<p>Adresses emails<input type="text" name="'.$wpcoop->plugin_prefix.'whoamiemails'.'" /></p>
          <p>Combien font ('.$val1.'+'.$val2.'+'.$val3.')? <input type="text" name="'.$wpcoop->plugin_prefix.'captcha'.'" value="" /></p>
          <input type="hidden" name="'.$wpcoop->plugin_prefix.'hash'.'" value="'.$hash.'" />
          <input type="submit" value="ok" />
          </form>';
      
  }      
      

///////////////////////////////////////// MAIN ////////////////////////////////////////
/*
$user='coco';
$user_email="hubic@pep2a.fr";

$meta=array(
'add_to_blog'=>2,
'new_role'=>'subscriber');


remove_filter('after_signup_user', 'wpmu_signup_user_notification');
wpmu_signup_user($user,$user_email,$meta);
//voir after_signup_user
//global $wp_filter;
//print_tab($wp_filter['after_signup_user']);

//print_tab($wp_errors);
/*
[callbacks] => Array
        (
            [10] => Array
                (
                    [wpmu_signup_user_notification] => Array
                        (
                            [function] => wpmu_signup_user_notification
                            [accepted_args] => 4
                        )

                )

        )
die('stop');


*/

      

  } //class
} // if class exits