<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

/// alm 20210418 19:02

//function display_parameters_page() {
//          global $wpcoop;
//          $admin=$this->admin;
//          $settings=$this->settings;

/////// get active tab
  if (!current_user_can($this->plugin_settings_capability)) {
    _e('Les réglages de WPCOOP vous sont inaccessibles, consultez votre webmaster',$this->plugin_textdomain);
  } else {

  // errors
  settings_errors();

  $tabs = $this->get_options_tabs('tabs');

  $active_tab='coop';
  if( isset( $_GET[ 'tab' ] ) ) {
    foreach($tabs as $tab) {
      if($_GET[ 'tab' ]==$tab['slug']) $active_tab=$tab['slug'];
    }
  }
    /////// displays tabs
    ?>
    <div class="wrap">
        <div class="icon32" id="icon-options-general"><br /></div>
        <h2>
            <?php _e('WpCoop V: '.$this->plugin_version, $this->plugin_textdomain) ?>
        </h2>
        <h2 class="nav-tab-wrapper">
        <?php
        if (!empty($tabs)) {
          ///TODO filtrage au niveau de get tab active tab, car on peut forcer le tab
          $inlineoptions=get_option($this->plugin_prefix.'options_inline',array());
          $promosoptions=get_option($this->plugin_prefix.'options_promos',array());
          foreach ($tabs as $tab) {
            //don't display tabs if not in coop_parameters_active_tabs
            if(!in_array($tab['slug'], $this->get_coop_parameters_active_tabs())) continue;
            //don't display inlineitems tab if inlinepay items menu disabled
            if($tab['slug']=='inlineitems'  && (!isset($inlineoptions['inline_pay']) || $inlineoptions['inline_pay']!='y') ) continue;
            //don't display tabs if coop options not filled
            //don't display promositems tab if promos menu disabled
            if($tab['slug']=='promositems'  && (!isset($promosoptions['menu_enabled']) || $promosoptions['menu_enabled']!='y') ) continue;
            //don't display tabs if coop options not filled
            if($tab['slug']!='coop'){
              $options = get_option($this->plugin_prefix.'options_coop');
              if (!isset($options['type']) || $options['type']=='null' ||
                  !isset($options['form']) || $options['form']=='null' ||
                  !isset($options['created']) || empty($options['created']) ||
                  !isset($options['name']) || empty($options['name']) ||
                  !isset($options['embeded_name']) || empty($options['embeded_name']) ||
                  !isset($options['address']) || empty($options['address']) ||
                  !isset($options['town']) || empty($options['town']) ||
                  !isset($options['zip']) || empty($options['zip']) ||
                  !isset($options['policies']) || empty($options['policies'])){
                continue;
              }
              if($tab['slug']!='shares'){
                $options = get_option($this->plugin_prefix.'options_shares');
                if (!isset($options['cats']) || $options['cats']=='null' ||
                    !isset($options['cols']) || $options['cols']=='null' ||
                    !isset($options['price']) || empty($options['price']))
                 continue;
              }
            }
            $options = get_option($this->plugin_prefix.'options_shares');
            if ($tab['slug']=='cats' || $tab['slug']=='cols'){
              $options = get_option($this->plugin_prefix.'options_shares');
              if ($tab['slug']=='cats' && (!isset($options['cats']) || $options['cats']!='y'))
              continue;
              if ($tab['slug']=='cols' && (!isset($options['cols']) || $options['cols']!='y'))
              continue;

            }
            $addclass= ($tab['slug']==$active_tab)? 'nav-tab-active' : '';
            ?>
            <a href="?page=<?php echo $this->class_parameters_slug; ?>&tab=<?php echo $tab['slug']; ?>" class="nav-tab <?php echo $addclass; ?>"><?php echo $tab['caption']; ?> </a>
            <?php
          }
        }
        ?>
        </h2>
    </div>
    <?php
    switch ($active_tab) {
         case 'coop':
            $options = get_option($this->plugin_prefix.'options_coop');
            //print_tab($options);
            ?>
            <form method="post" action="options.php" >
              <?php settings_fields($this->plugin_prefix.'options_coop_group'); ?>
              <h3><?php _e('Company options', $this->plugin_textdomain) ?></h3>
              <div>
                <table class="form-table">
                 <tr>
                    <td><?php
                        $selopts=$this->get_coop_types_options();
                        _e("Cooperative ?",$this->plugin_textdomain);
                        ?></td>
                     <td><select name="<?php echo $this->plugin_prefix.'options_coop[type]'; ?>" >
                         <?php
                         $this->display_sel_options($selopts, (isset($options['type']))? $options['type'] : '');
                         ?>
                         </select>
                     </td>
                 </tr>
                 <tr>
                   <td><?php _e("Legal form",$this->plugin_textdomain);
                       $selopts=$this->get_coop_legal_forms_options();
                       ?></td>
                     <td><select name="<?php echo $this->plugin_prefix.'options_coop[form]'; ?>" >
                         <?php
                         $this->display_sel_options($selopts, (isset($options['form']))? $options['form'] : '');
                         ?>
                         </select>
                     </td>
                 </tr>
                 <tr>
                    <td><?php _e("Date Created (dd/mm/yyyy)",$this->plugin_textdomain) ?></td>
                    <td><input type="text" name="<?php echo $this->plugin_prefix.'options_coop[created]'; ?>" value="<?php echo esc_attr($options['created']?? ''); ?>" /></td>
                 </tr>
                 <tr>
                 <tr>
                    <td><?php _e("Company name",$this->plugin_textdomain) ?></td>
                    <td><input type="text" name="<?php echo $this->plugin_prefix.'options_coop[name]'; ?>" value="<?php echo esc_attr($options['name']?? ''); ?>" /></td>
                 </tr>
                 <tr>
                    <td><?php _e("The xx Company",$this->plugin_textdomain) ?></td>
                    <td><input type="text" name="<?php echo $this->plugin_prefix.'options_coop[embeded_name]'; ?>" value="<?php echo esc_attr($options['embeded_name']?? ''); ?>" /></td>
                 </tr>
                 <tr>
                    <td><?php _e("Address",$this->plugin_textdomain) ?></td>
                    <td><input type="text" name="<?php echo $this->plugin_prefix.'options_coop[address]'; ?>" value="<?php echo esc_attr($options['address']?? ''); ?>" /></td>
                 </tr>
                 <tr>
                    <td><?php _e("Town",$this->plugin_textdomain) ?></td>
                    <td><input type="text" name="<?php echo $this->plugin_prefix.'options_coop[town]'; ?>" value="<?php echo esc_attr($options['town']?? ''); ?>" /></td>
                 </tr>
                 <tr>
                 <tr>
                    <td><?php _e("Zip",$this->plugin_textdomain) ?></td>
                    <td><input type="text" name="<?php echo $this->plugin_prefix.'options_coop[zip]'; ?>" value="<?php echo esc_attr($options['zip']?? ''); ?>" /></td>
                 </tr>
                 <tr>
                    <td><?php _e("Policies",$this->plugin_textdomain) ?></td>
                    <td><input type="text" name="<?php echo $this->plugin_prefix.'options_coop[policies]'; ?>" value="<?php echo esc_attr($options['policies']?? ''); ?>" /></td>
                 </tr>
  <!--               <tr>
                    <td><?php //_e("Company Logo name",$this->plugin_textdomain) ?></td>
                    <td><input type="text" name="<?php //echo $this->plugin_prefix.'options_coop[logo]'; ?>" value="<?php //echo esc_attr($options['logo']); ?>" /></td>
                 </tr>
-->
                </table>
                <p class="submit">
                    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
                </p>
               </div>
            </form>
            <form enctype="multipart/form-data" method="post" action="options.php" >
                <?php settings_fields($this->plugin_prefix.'options_coop_logo_file_group'); ?>
            <?php
            $this->display_secured_image_update_form(
                array(//'option'=>'options_coop_logo_file',
                      'title'=>__("Company Logo (max %sko)",$this->plugin_textdomain),
                      'change'=>__('Change logo: ',$this->plugin_textdomain),
                      'name'=>'options_coop_logo_file', // name of file select button
                      'store_option'=>'options_coop_logo_file', // option to store file
                      'update'=>__('Update Logo',$this->plugin_textdomain)
                                                    ));
            ?>
            </form>
          <?php
          break;
         case 'shares':
            /// display form for shares options
            $options = get_option($this->plugin_prefix.'options_shares');
            $catsy='';
            $catsn='';
            if (isset($options['cats']) && $options['cats']=='y'){
              $catsy = 'selected="selected"';
            } elseif(isset($options['cats']) && $options['cats']=='n') {
              $catsn = 'selected="selected"';
            }
            $colsy='';
            $colsn='';
            if (isset($options['cols']) && $options['cols']=='y'){
              $colsy = 'selected="selected"';
            } elseif(isset($options['cols']) && $options['cols']=='n') {
              $colsn = 'selected="selected"';
            }

            //print_tab($options);
            ?>
            <div>
              <form method="post" action="options.php">
                <?php settings_fields($this->plugin_prefix.'options_shares_group'); ?>
                <h3><?php _e('ShareHolding', $this->plugin_textdomain) ?></h3>
                <div>
                 <table class="form-table">
                   <tr>
                    <td><?php _e("Share price",$this->plugin_textdomain) ?></td>
                    <td><input type="text" name="<?php echo $this->plugin_prefix.'options_shares[price]'; ?>" value="<?php echo esc_attr($options['price']?? ''); ?>" /></td>
                   </tr>
                   <tr>
                     <td><?php _e("Categories",$this->plugin_textdomain); ?></td>
                     <td>
                      <select name="<?php echo $this->plugin_prefix.'options_shares[cats]'; ?>" >
                        <option <?php echo $catsn; ?> value="null"><?php _e("--",$this->plugin_textdomain); ?></option>
                        <option <?php echo $catsn; ?> value="n"><?php _e("No",$this->plugin_textdomain); ?></option>
                        <option <?php echo $catsy; ?> value="y"><?php _e("Yes",$this->plugin_textdomain); ?></option>
                      </select>
                      </td>
                   </tr>
                   <tr>
                    <td><?php _e("Colleges",$this->plugin_textdomain); ?></td>
                    <td>
                     <select name="<?php echo $this->plugin_prefix.'options_shares[cols]'; ?>" >
                        <option <?php echo $catsn; ?> value="null"><?php _e("--",$this->plugin_textdomain); ?></option>
                        <option <?php echo $colsn; ?> value="n"><?php _e("No",$this->plugin_textdomain); ?></option>
                        <option <?php echo $colsy; ?> value="y"><?php _e("Yes",$this->plugin_textdomain); ?></option>
                     </select>
                    </td>
                   </tr>
                 </table>
                 <p class="submit">
                    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
                 </p>
                </div>
               </form>
            </div>
            <?php
            break;
         case 'cats':
            $options = get_option($this->plugin_prefix.'options_shares');
            if (!isset($options['cats']) || $options['cats']!='y') break;
            $options = get_option($this->plugin_prefix.'options_cats'); ?>
            <h3><?php _e('Categories', $this->plugin_textdomain) ?></h3>
              <div>
                <span>Les catégories sont provisoirement définies via le fichier wpcoop_config.php, leurs définitions sont affichées ci-dessous (numéro =  index de la catégorie, a=nom en une lettre, s=nom court, n= nom complet)</span>
                <?php print_tab($options); ?>
<!--                <table class="form-table">
                    <tr><th>Abridged name</th><th>Short name</th><th>Name</th><th>&nbsp;</th><th>&nbsp;</th> </tr>
                <?php

                $k=0;
                if (is_array($options) && !empty($options)) {
                   foreach($options as $k=>$cat){?>
                    <form method="post" action="options.php" > <?php
                    settings_fields($this->plugin_prefix.'options_cats_group');
                    $dis = (isset($cat['deleted']) && $cat['deleted']=='y')?  'disabled="disabled"' : '';

                   ?>
                  <tr>
<td><input <?php echo $dis; ?> type="text" name="<?php echo $this->plugin_prefix.'options_cats['.$k.'][abridg]'; ?>" value="<?php echo esc_attr($cat['abridg']); ?>" /></td>
<td><input <?php echo $dis; ?>type="text" name="<?php echo $this->plugin_prefix.'options_cats['.$k.'][shortname]'; ?>" value="<?php echo esc_attr($cat['shortname']); ?>" /></td>
<td><input <?php echo $dis; ?>type="text" name="<?php echo $this->plugin_prefix.'options_cats['.$k.'][name]'; ?>" value="<?php echo esc_attr($cat['name']); ?>" /></td>
                  <?php if (empty($dis)) : ?>
<td><input type="submit" name="<?php echo $this->plugin_prefix.'options_cats['.$k.'][delcat]'; ?>" value="<?php _e('Delete Category'); ?>" /></td>
<td><input type="submit" name="<?php echo $this->plugin_prefix.'options_cats['.$k.'][modcat]'; ?>" value="<?php _e('Modify Category'); ?>" /></td>
                 <?php else : ?>
                      <td>Category deleted</td>
                      <td></td>
                 <?php endif; ?>
                  </tr>
                  </form>
                <?php
                    }
                    $k++;
                } ?>
                <form method="post" action="options.php" >
                  <?php settings_fields($this->plugin_prefix.'options_cats_group'); ?>
                 <tr>
<td><input type="text" name="<?php echo $this->plugin_prefix.'options_cats['.$k.'][abridg]'; ?>" value="" /></td>
<td><input type="text" name="<?php echo $this->plugin_prefix.'options_cats['.$k.'][shortname]'; ?>" value="" /></td>
<td><input type="text" name="<?php echo $this->plugin_prefix.'options_cats['.$k.'][name]'; ?>" value="" /></td>
<td><input type="submit" name="<?php echo $this->plugin_prefix.'options_cats['.$k.'][addcat]'; ?>" value="<?php _e('Add Category'); ?>" /></td>
                  </tr>
                </form> -->
                </table>
          <?php
          break;
         case 'cols':
             $options = get_option($this->plugin_prefix.'options_shares');
             if (!isset($options['cols']) || $options['cols']!='y') break;
             $options = get_option($this->plugin_prefix.'options_cols'); ?>
            <h3><?php _e('Collèges', $this->plugin_textdomain) ?></h3>
              <div>
                <span>Les collèges sont provisoirement définies via le fichier wpcoop_config.php, leurs définitions sont affichées ci-dessous (numéro =  index du collège, a=nom en une lettre, s=nom court, n= nom complet)</span>
                <?php print_tab($options); ?>
<!--                <table class="form-table">
                    <tr><th>Abridged name</th><th>Short name</th><th>Name</th><th>&nbsp;</th><th>&nbsp;</th> </tr>
                <?php

                $k=0;
                if (is_array($options) && !empty($options)) {
                   foreach($options as $k=>$col){?>
                    <form method="post" action="options.php" > <?php
                    settings_fields($this->plugin_prefix.'options_cols_group');
                    $dis = (isset($col['deleted']) && $col['deleted']=='y')?  'disabled="disabled"' : '';

                   ?>
                  <tr>
<td><input <?php echo $dis; ?> type="text" name="<?php echo $this->plugin_prefix.'options_cols['.$k.'][abridg]'; ?>" value="<?php echo esc_attr($col['abridg']); ?>" /></td>
<td><input <?php echo $dis; ?>type="text" name="<?php echo $this->plugin_prefix.'options_cols['.$k.'][shortname]'; ?>" value="<?php echo esc_attr($col['shortname']); ?>" /></td>
<td><input <?php echo $dis; ?>type="text" name="<?php echo $this->plugin_prefix.'options_cols['.$k.'][name]'; ?>" value="<?php echo esc_attr($col['name']); ?>" /></td>
                  <?php if (empty($dis)) : ?>
<td><input type="submit" name="<?php echo $this->plugin_prefix.'options_cols['.$k.'][delcol]'; ?>" value="<?php _e('Delete College'); ?>" /></td>
<td><input type="submit" name="<?php echo $this->plugin_prefix.'options_cols['.$k.'][modcol]'; ?>" value="<?php _e('Modify College'); ?>" /></td>
                 <?php else : ?>
                      <td>College deleted</td>
                      <td></td>
                 <?php endif; ?>
                  </tr>
                  </form>
                <?php
                    }
                    $k++;
                } ?>
                <form method="post" action="options.php" >
                  <?php settings_fields($this->plugin_prefix.'options_cols_group'); ?>
                 <tr>
<td><input type="text" name="<?php echo $this->plugin_prefix.'options_cols['.$k.'][abridg]'; ?>" value="" /></td>
<td><input type="text" name="<?php echo $this->plugin_prefix.'options_cols['.$k.'][shortname]'; ?>" value="" /></td>
<td><input type="text" name="<?php echo $this->plugin_prefix.'options_cols['.$k.'][name]'; ?>" value="" /></td>
<td><input type="submit" name="<?php echo $this->plugin_prefix.'options_cols['.$k.'][addcol]'; ?>" value="<?php _e('Add College'); ?>" /></td>
                  </tr>
                </form>  -->
                </table>
          <?php
          break;
        case 'management':
           /// display form for management
           $options=get_option($this->plugin_prefix.'options_management');
           $options_coop=get_option($this->plugin_prefix.'options_coop');
            //print_tab($options_coop);
           ?>
           <div>
            <form method="post" action="options.php">
                <?php settings_fields($this->plugin_prefix.'options_management_group'); ?>
                <h3><?php _e('Management options', $this->plugin_textdomain) ?></h3>
                <?php //if ($options_coop['type']!='scic') { _e('Not yet implemented', $this->plugin_textdomain); break; } ?>
                <div>
                 <table class="form-table">
                    <?php
                    if ($options_coop['type']=='no' && $options_coop['form']=='sa') {
                    echo 'SA non coopérative';
                   ?>
                     <tr>
                     <td><?php _e("Management type",$this->plugin_textdomain) ?></td>
                     <td><select name="<?php echo $this->plugin_prefix.'options_management[nsamtype]'; ?>" >
                        <option value="0" <?php echo (isset($options['nsamtype']) && $options['nsamtype']=='0')? 'selected="selected"' : '' ?> >--</option>
                        <option value="1" <?php echo (isset($options['nsamtype']) && $options['nsamtype']=='1')? 'selected="selected"' : '' ?> >Conseil d'administation et Directeur géneral</option>
                        <option value="2" <?php echo (isset($options['nsamtype']) && $options['nsamtype']=='2')? 'selected="selected"' : '' ?> >Conseil de surveillance et directoire</option>
                        </select>
                     </td>
                    </tr>
                    <?php
                     if(isset($options['nsamtype']) && $options['nsamtype']==1){
                        echo 'type 1';
                     } elseif (isset($options['nsamtype']) && $options['nsamtype']==2){
                        echo 'type 2';
                     }

                    }
  /////TODO TYPE????
                    if ($options_coop['form']=='sarl' || $options_coop['form']=='sas' || ($options_coop['form']=='sa' && isset($options['type']) && $options['type']=='2')) {
                    ?>
                    <tr>
                     <td><?php _e("Authority title",$this->plugin_textdomain) ?></td>
                     <td><input type="text" name="<?php echo $this->plugin_prefix.'options_management[title]'; ?>" value="<?php echo esc_attr((isset($options['title']))? $options['title'] : ''); ?>" /></td>
                    </tr>
                    <tr>
                     <td><?php _e("Authority name",$this->plugin_textdomain) ?></td>
                     <td><input type="text" name="<?php echo $this->plugin_prefix.'options_management[name]'; ?>" value="<?php echo esc_attr(isset($options['name'])? $options['name'] : ''); ?>" /></td>
<!--                    <tr>
                     <td><?php //_e("Authority signature",$this->plugin_textdomain) ?></td>
                     <td><input type="text" name="<?php //echo $this->plugin_prefix.'options_management[signature]'; ?>" value="<?php //echo esc_attr($options['signature']); ?>" /></td>
                    </tr>
-->
                    <?php
                    }
                    if ($options_coop['form']=='sarl' || $options_coop['form']=='sas' || ($options_coop['form']=='sa' && isset($options['type']) && $options['type']=='1')) {
                    ?>
                    <tr>
                     <td><?php _e("Council name",$this->plugin_textdomain) ?></td>
                     <td><input type="text" name="<?php echo $this->plugin_prefix.'options_management[council_name]'; ?>" value="<?php echo esc_attr((isset($options['council_name']))? $options['council_name'] : ''); ?>" /></td>
                    </tr>
                    <tr>
                     <td><?php _e("Short Council name",$this->plugin_textdomain) ?></td>
                     <td><input type="text" name="<?php echo $this->plugin_prefix.'options_management[short_council_name]'; ?>" value="<?php echo esc_attr((isset($options['short_council_name']))? $options['short_council_name'] : ''); ?>" /></td>
                    </tr>
                    <tr>
                     <td><?php _e("Minimum number of members",$this->plugin_textdomain) ?></td>
                     <td><input type="text" name="<?php echo $this->plugin_prefix.'options_management[council_min]'; ?>" value="<?php echo esc_attr(isset($options['council_min'])? $options['council_min'] : 0); ?>" /></td>
                    </tr>
                    <tr>
                     <td><?php _e("Maximum number of members",$this->plugin_textdomain) ?></td>
                     <td><input type="text" name="<?php echo $this->plugin_prefix.'options_management[council_max]'; ?>" value="<?php echo esc_attr(isset($options['council_max'])? $options['council_max'] : 0); ?>" /></td>
                    </tr>
                    <tr>
                     <td><?php _e("Members must be shareholders",$this->plugin_textdomain) ?></td>
                     <td><select name="<?php echo $this->plugin_prefix.'options_management[council_shareholders]'; ?>" >
                        <option value="y" <?php echo (isset($options['council_shareholders']) && $options['council_shareholders']=='y')? 'selected="selected"' : '' ?> ><?php _e('Yes', $this->plugin_textdomain); ?></option>
                        <option value="n" <?php echo (isset($options['council_shareholders']) && $options['council_shareholders']=='n')? 'selected="selected"' : '' ?> ><?php _e('No', $this->plugin_textdomain); ?></option>
                        </select>
                     </td>
                    </tr>
                    <tr>
                     <td><?php _e("Auditor",$this->plugin_textdomain) ?></td>
                     <td><select name="<?php echo $this->plugin_prefix.'options_management[auditor]'; ?>" >
                        <option value="y" <?php echo (isset($options['auditor']) && $options['auditor']=='y')? 'selected="selected"' : '' ?> ><?php _e('Yes', $this->plugin_textdomain); ?></option>
                        <option value="n" <?php echo (isset($options['auditor']) && $options['auditor']=='n')? 'selected="selected"' : '' ?> ><?php _e('No', $this->plugin_textdomain); ?></option>
                        </select>
                     </td>
                    </tr>
                     <tr>
                     <td><?php _e("Auditor name",$this->plugin_textdomain) ?></td>
                     <td><input type="text" name="<?php echo $this->plugin_prefix.'options_management[auditor_name]'; ?>" value="<?php echo esc_attr(isset($options['auditor_name'])? $options['auditor_name'] : ''); ?>" /></td>
                    </tr>
                     <tr>
                     <td><?php _e("Auditor @email",$this->plugin_textdomain) ?></td>
                     <td><input type="text" name="<?php echo $this->plugin_prefix.'options_management[auditor_email]'; ?>" value="<?php echo esc_attr(isset($options['auditor_email'])? $options['auditor_email'] : ''); ?>" /></td>
                    </tr>
                    <?php
                    } elseif ($options_coop['type']=='scic' && $options_coop['form']=='sa' && isset($options['type']) && $options['type']=='2') {
                        // management board && supervisory board
                     ?>
                     <tr>
                         <td colspan="2">option pas encore implantée</td>
                     </tr>
                     <?php
                    }
                    ?>
            </table>
            </div>
            <p class="submit">
                    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
            </p>
            </form>

            <form enctype="multipart/form-data" method="post" action="options.php" >
             <?php settings_fields($this->plugin_prefix.'options_authority_signature_file_group');
             $this->display_secured_image_update_form(
                    array(//'option'=>'options_authority_signature_file',
                          'title'=>__("Authority signature (max %sko)",$this->plugin_textdomain),
                          'change'=>__('Change signature: ',$this->plugin_textdomain),
                          'name'=>'options_authority_signature_file', // name of file select button
                          'store_option'=>'options_authority_signature_file', //option to store file
                          'update'=>__('Update Signature',$this->plugin_textdomain)
                                                     ));
            ?>
            </form>
            <?php
         break;
         case 'ags':
            /// display form for meetings
            global $wpcoop;
            $options=get_option($this->plugin_prefix.'options_ags');
            ?>
            <div>
             <form method="post" action="options.php">
                 <?php settings_fields($this->plugin_prefix.'options_ags_group'); ?>
                 <h3><?php _e('AGS', $this->plugin_textdomain) ?></h3>
                 <div>
                   <span>Saisir la date de la prochaine ag et la date pour activer les pouvoirs</span>
                  <table class="form-table">
                    <tr>
                     <td><?php _e("Date de la prochaine AG (jj/mm/aaaa)",$this->plugin_textdomain) ?></td>
                     <td><input type="text" name="<?php echo $this->plugin_prefix.'options_ags[dateag]'; ?>" value="<?php echo esc_attr($options['dateag']?? ''); ?>" /></td>
                    </tr>
                    <tr>
                     <td><?php _e("Date ouverture pouvoirs (jj/mm/aaaa)",$this->plugin_textdomain) ?></td>
                     <td><input type="text" name="<?php echo $this->plugin_prefix.'options_ags[datepouvoir]'; ?>" value="<?php echo esc_attr($options['datepouvoir']?? ''); ?>" /></td>
                    </tr>
                  </table>
                  <p class="submit">
                     <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
                  </p>
                 </div>
            </form>
            </div>
            <?php
          break;
        case 'meetings':
           /// display form for meetings
           $options=get_option($this->plugin_prefix.'options_meetings');
           ?>
           <div>
            <form method="post" action="options.php">
                <?php settings_fields($this->plugin_prefix.'options_meetings_group'); ?>
                <h3><?php _e('Meetings options', $this->plugin_textdomain) ?></h3>
                <div>
                 <table class="form-table">
                    <tr>
                    </tr>
                    <tr>
                    <tr>
                    </tr>
                 </table>
                 <p class="submit">
                    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
                 </p>
                </div>
           </form>
           </div>
           <?php
         break;
        case 'projects':
           /// display form for projects
           $options=get_option($this->plugin_prefix.'options_projects');
           ?>
           <div>
            <form method="post" action="options.php">
                <?php settings_fields($this->plugin_prefix.'options_projects_group'); ?>
                <h3><?php _e('Options des projets', $this->plugin_textdomain) ?></h3>
                <div>
                 <table class="form-table">
                    <tr>
                     <td><?php _e("Prix d'un panneau",$this->plugin_textdomain) ?></td>
                     <td><input type="text" name="<?php echo $this->plugin_prefix.'options_projects[solar_panel_value]'; ?>" value="<?php echo esc_attr($options['solar_panel_value']?? ''); ?>" /></td>
                    </tr>
                    <tr>
                     <td><?php _e("Nombre de panneaux visé",$this->plugin_textdomain) ?></td>
                     <td><input type="text" name="<?php echo $this->plugin_prefix.'options_projects[solar_panel_target_number]'; ?>" value="<?php echo esc_attr($options['solar_panel_target_number']?? ''); ?>" /></td>
                    </tr>
                 </table>
                 <p class="submit">
                    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
                 </p>
                </div>
           </form>
           </div>
           <?php
         break;
         case 'subs':
           /// display form for subscription documents
           //$options=get_option($this->plugin_prefix.'options_subs');
           $this->manage_secured_pdf(array(
                   'option'=>$this->plugin_prefix.'options_bs1_file',
                   'option_group'=>$this->plugin_prefix.'options_bs1_file_group',
                   'title'=>__("Bulletin de souscription actuel pour les parts",$this->plugin_textdomain),
                   'change'=>__('Changer le Bulletin: ',$this->plugin_textdomain),
                   'update'=>__('Mettre à jour le bulletin',$this->plugin_textdomain),
           ));

           $this->manage_secured_pdf(array(
                   'option'=>$this->plugin_prefix.'options_dis1_file',
                   'option_group'=>$this->plugin_prefix.'options_dis1_file_group',
                   'title'=>__("DIS actuel pour les parts",$this->plugin_textdomain),
                   'change'=>__('Changer le DIS: ',$this->plugin_textdomain),
                   'update'=>__('Mettre à jour DIS',$this->plugin_textdomain),
           ));

           $this->manage_secured_pdf(array(
                   'option'=>$this->plugin_prefix.'options_bs2_file',
                   'option_group'=>$this->plugin_prefix.'options_bs2_file_group',
                   'title'=>__("Bulletin de souscription actuel pour CCA",$this->plugin_textdomain),
                   'change'=>__('Changer le Bulletin: ',$this->plugin_textdomain),
                   'update'=>__('Mettre à jour le bulletin',$this->plugin_textdomain),
           ));

           $this->manage_secured_pdf(array(
                   'option'=>$this->plugin_prefix.'options_dis2_file',
                   'option_group'=>$this->plugin_prefix.'options_dis2_file_group',
                   'title'=>__("DIS actuel pour CCA",$this->plugin_textdomain),
                   'change'=>__('Changer le DIS: ',$this->plugin_textdomain),
                   'update'=>__('Mettre à jour le DIS',$this->plugin_textdomain),
           ));
         break;
         case 'promositems':
               /// display form for promositems
               $options=get_option($this->plugin_prefix.'options_promositems');
               ?>
               <div>
                <form method="post" action="options.php">
                    <?php settings_fields($this->plugin_prefix.'options_promositems_group'); ?>
                    <h3><?php _e('promositems options', $this->plugin_textdomain) ?></h3>
                    <span>les promos sont définies provisoirement dans le fichier wpcoop_config.php</span>
                    <div>
                    <?php if (!empty($options) && is_array($options) && count($options)>0) { ?>
                     <table class="form-table">
                       <tr><th>Actif?</th><th>Nom</th><th>Label</th><th>Engagement</th><th>Date de début</th><th>date de fin</th><th>Code Promo</th><th>Conditions</th><th>Fournisseur</th></tr>
                         <?php
                      foreach($options as $option){
                        echo '<tr><td>';
                        echo (($option['enabled']?? '')=='y')? 'oui' : 'non';
                        echo '</td>
                        <td>'.esc_html($option['name']).'</td>
                        <td>'.esc_html($option['label']).'</td>
                        <td>'.esc_html($option['engagement']).'</td>
                        <td>'.esc_html($option['datedebut']).'</td>
                        <td>'.esc_html($option['datefin']).'</td>
                        <td>'.esc_html($option['codepromo']).'</td>
                        <td><a href="'.esc_url($option['URLconditions']).'">Lien Conditions</a></td>
                        <td><a href="'.esc_url($option['URLfournisseur']).'">Lien fournisseur</a></td>';
                      }
                      ?>
                      <!--
                       <tr>
                        <td><?php _e("Mon Kit Solaire",$this->plugin_textdomain) ?></td>
                        <?php
                        $checked=($options['monkitsolaire']=='y')? 'checked="checked"' : '';
                        ?>
                        <td><input type="checkbox" name="<?php echo $this->plugin_prefix.'options_promositems[monkitsolaire]'; ?>" <?php echo $checked; ?>/></td>
                        <td><?php _e("Activer la promo dans la page mon compte",$this->plugin_textdomain) ?></td>
                       </tr>
                       <tr>
                           <td colspan="3"><?php _e('La désactivation d\'une promo ne supprimera pas les infos energistrées pour le sociétaire',$this->plugin_textdomain) ?></td> -->
                       </tr>
                     </table>
                     <?php } ?>
                     <!--__
                     <p class="submit">
                        <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />  -->
                     </p>
                    </div>
               </form>
               </div>
               <?php
             break;
             case 'inlineitems':
                   /// display form for promositems
                   $options=get_option($this->plugin_prefix.'options_inlineitems', array());
                   ?>
                   <div>
                    <form method="post" action="options.php">
                        <?php settings_fields($this->plugin_prefix.'options_promositems_group'); ?>
                        <h3><?php _e('In Line Items', $this->plugin_textdomain) ?></h3>
                        <span>Provisoire, liste les items, voir le fichier wpcoop_config.php pour changer</span>
                        <div>
                         <table class="form-table"> <?php
                            if (empty($options) || !is_array($options) ) {
                              echo '<tr><td>'.__('No items available',$this->plugin_textdomain).'</td></tr>';
                            } else {
                              echo '<tr><th>'.__('Name',$this->plugin_textdomain).'</th><th>'.__('URL to pay item',$this->plugin_textdomain).'</th></tr>';
                              foreach ($options as $name=>$item) {
                               echo '<tr><td>'.$name.'</td><td>'.($item['url']?? 'Url not found!').'</td></tr>';
                              }
                            }
                          ?>
                         </table>
<!--                         <p class="submit">
                            <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
                         </p> -->
                        </div>
                   </form>
                   </div>
                   <?php
                 break;
    }//switch
 }//no rights to display settings page
//}//display parameters page
//display_parameters_page();
