<?php
/**
 * gen att template. generate attendance sheet
 *
 * alm 20170624
 *
 */

if ( !defined( 'ABSPATH' ) ) exit;

if (empty($title)) $title=__("Attendance sheet",$wpcoop->plugin_textdomain);

// get subscribers data ordered by lastname
$ops = $wpcoop->members->get_ordered_users('subs');

//print_tab($ops);

//D: send to the browser and force a file download with the name given by filename.
//F: save to a local file with the name given by filename (may include a path).
//S: return the document as a string. filename is ignored.
$output_mode='D';

///alm
// The library for generating HTML PDF files
if (!require_once($wpcoop->plugin_pdf_path.'fpdf/fpdf.php')) {
 wlog(LOG,'fpdf not included: '.$wpcoop->plugin_pdf_path.'fpdf/fpdf.php');
}
if (!require('doc_template.php') ) {
 wlog(LOG,'doc_template.php: ');
}
// declaration page pdf
$pdf = new PDF_WpCoop_Document( 'L', 'mm', 'A4' );

// indique que le texte est en utf8, et donc a convertir ou pas
define ('WCDN_UTF8', true);
// indique que les infos sont a retourner en chaine et pas a imprimer
define ('WCDN_STR', true);


$lines=array();




$n=0;  // nbre souscripteur
$ts=0;
foreach ($ops as $id=>$user) {
         if (empty($ops[$id]['usersubs'])) continue;
    $data=$user['shares_data'];
    //print_tab($data);
    $s=$data['shares'];     //quantity of shares detained
    //$v=$data['value'];      //subscriptions value for this user (even if not validated)
    $d=$data['date'];       //date
    // counters
    // n number of shareholders
    // ts total shares
    // tv total value
    if ($s>0) {
        $n++;
    }
    $ts+=$s;
    //


    $width=40; //default width

    if ($s!=0) {

        $ddata=$this->get_thedisplaydata($id, $user);

        $n++;
        //$fdate=substr($d,0,2).'/'.substr($d,2,2).'/'.substr($d,4,4);

        $lines[]['cols']=array(
               array('len'=>5, 'size'=>10, 'height'=>10, 'val'=> $ddata['dtype']),
               array('len'=>5, 'size'=>10, 'height'=>10, 'val'=> $ddata['dcat']),
               array('len'=>90, 'size'=>10, 'height'=>10, 'val'=> $ddata['thedisplayname']),
               array('len'=>52, 'size'=>10, 'height'=>10, 'val'=> $ddata['representing']),
               array('len'=>20, 'size'=>10, 'height'=>10, 'val'=> $s),
               array('len'=>50, 'size'=>10, 'height'=>10, 'val'=> ""),
               array('len'=>55, 'size'=>10, 'height'=>10, 'val'=> "")
                                        );

    }// $s!=0
}// each user

$lines[]['cols']=array(
                   array('len'=>5, 'size'=>10, 'height'=>10, 'val'=> ''),
                   array('len'=>5, 'size'=>10, 'height'=>10, 'val'=> ''),
                   array('len'=>90, 'size'=>10, 'height'=>10, 'val'=> 'Nombre de sociétaires'),
                   array('len'=>52, 'size'=>10, 'height'=>10, 'val'=> $n),
                   array('len'=>20, 'size'=>10, 'height'=>10, 'val'=> ""),
                   array('len'=>50, 'size'=>10, 'height'=>10, 'val'=> "Présents/représentés:"),
                   array('len'=>55, 'size'=>10, 'height'=>10, 'val'=> "")
                                            );
$lines[]['cols']=array(
                   array('len'=>5, 'size'=>10, 'height'=>10, 'val'=> ''),
                   array('len'=>5, 'size'=>10, 'height'=>10, 'val'=> ''),
                   array('len'=>90, 'size'=>10, 'height'=>10, 'val'=> 'Quorum AGO/AGE 1ère convocation'),
                   array('len'=>52, 'size'=>10, 'height'=>10, 'val'=> ceil($n/4).'/'.ceil($n/3)),
                   array('len'=>20, 'size'=>10, 'height'=>10, 'val'=> ""),
                   array('len'=>50, 'size'=>10, 'height'=>10, 'val'=> ""),
                   array('len'=>55, 'size'=>10, 'height'=>10, 'val'=> "")
                                            );
$lines[]['cols']=array(
                   array('len'=>5, 'size'=>10, 'height'=>10, 'val'=> ''),
                   array('len'=>5, 'size'=>10, 'height'=>10, 'val'=> ''),
                   array('len'=>90, 'size'=>10, 'height'=>10, 'val'=> 'Quorum AGO/AGE 2ième convocation'),
                   array('len'=>52, 'size'=>10, 'height'=>10, 'val'=> '-/'.ceil($n/4)),
                   array('len'=>20, 'size'=>10, 'height'=>10, 'val'=> ""),
                   array('len'=>50, 'size'=>10, 'height'=>10, 'val'=> ""),
                   array('len'=>55, 'size'=>10, 'height'=>10, 'val'=> "")
                                            );


$utf8=true;


// definition des colonnes du tableau
// somme doit etre = 190 pour A4 Portrait (210-2*10 de marge)
// somme doit etre = 277 pour A4 Landscape (297-2*10 de marge)
// lab for label
// jus for justification (L, C, R)
$cols=array(
        array('len'=>5, 'lab'=>'T', 'jus'=>'L'),
        array('len'=>5, 'lab'=>'C', 'jus'=>'L'),
        array('len'=>90, 'lab'=>'Nom Prénom', 'jus'=>'L'),
        array('len'=>52, 'lab'=>'Représentation', 'jus'=>'L'),// raison sociale personne morale ou représentant légal du sociétaire personne physique minueur ou sous administration légale
        array('len'=>20, 'lab'=>'Nbr parts', 'jus'=>'R'),
        array('len'=>50, 'lab'=>'Représenté par (pouvoir)', 'jus'=>'L'),
        array('len'=>55, 'lab'=>'Signature', 'jus'=>'R')
            );

$nbp=13; // nbre par page (20 pour P, 15 pour L)
$npi= intval((count($lines)%$nbp==0)? count($lines)/$nbp : (count($lines)/$nbp +1));
$np= $npi +$ne; // add empty pages

//split in pages
$plines=array();
$l=0;
if ($np!=0) {
    for($i=1;$i<$np+1;$i++) {

        $pdf->AddPage();
        // font par defaut
        $pdf->SetFont('Arial','B',12);
        // pas de saut de page automatique
        $pdf->SetAutoPageBreak(false);
        // watermark
        //$pdf->addWaterMark( 'test seulement!!!' );
        $pdf->addPageNumber( $i, $np);
        $pdf->addTitle($title);
        // entete
        //
        $pdf->addCompany($url_logo, $company, $address,10,25 );

        // legendes
        //addText($text, $x=10, $y=65, $font="Arial", $style="", $size=12) {
        $pdf->addtext('T=> Type de sociétaire (p: personne physique, a: personne physique sous administration légale, m: personne morale) ; Représentation : raison sociale pour personne morale ou représentant légal pour mineur ou adulte représenté', 10, 43.5, "Arial", "", 7);
        $pdf->addtext('C=> Catégorie de sociétaire (p: producteurs/proprétaires/salariés, b: bénéficiaires, s: soutiens, c: Collectivités publiques)', 10, 46.5, "Arial", "", 7);

        $j=0;
        while ($j<$nbp) {
            if ($l < count($lines)) {
             $plines[$l]=$lines[$l];
            } else {

             $plines[$l]['cols']= array(
               array('len'=>5, 'size'=>10, 'height'=>10, 'val'=> ""),
               array('len'=>5, 'size'=>10, 'height'=>10, 'val'=> ""),
               array('len'=>90, 'size'=>10, 'height'=>10, 'val'=> ""),
               array('len'=>52, 'size'=>10, 'height'=>10, 'val'=> ""),
               array('len'=>20, 'size'=>10, 'height'=>10, 'val'=> ""),
               array('len'=>50, 'size'=>10, 'height'=>10, 'val'=> ""),
               array('len'=>55, 'size'=>10, 'height'=>10, 'val'=> "")
                                        );




            }

            $l++;
            $j++;
        }
        // cols, l&r margin, start high, end hight
        $pdf->addTable( $cols, 10, 50, 20 );
        $pdf->printTable2($plines, $cols);
        $plines=array();

    }
}





// Create filename.
$filename = date('Ymd') .'-'.sanitize_file_name( remove_accents( $title ) ).'.pdf';

// create destination
if ($output_mode=='I' || $output_mode=='D') {
 $dest = $filename;
} else {
 $dest = $uploads_dir.'/'.$filename;
}




/// output
$pdf->Output($output_mode, $filename);
exit();
