<?php
/**
 * gen doc template. This is the main file.
 *
 * alm 20170529
 *
 */

// wpcoop plugin must be active

if ( !defined( 'ABSPATH' ) ) exit;

$ops = $wpcoop->members->get_ordered_users();

//print_tab($ops);

$wpcoop_fields=$wpcoop->members->get_users_added_fields();

//print_tab($wpcoop_fields);

$filename=str_replace(' ','_',sanitize_title($title, __('Export CSV des Utilisateurs', $this->plugin_textdomain)));
$string='';
// first line: names of colons
foreach($wpcoop_fields['tabs'] as $k=>$tab) {
   foreach($tab['fields'] as $field) {
     //echo $this->plugin_prefix.$tab['caption'].'_'.$field['caption'].',';
     $string.=$this->plugin_prefix.$tab['caption'].'_'.$field['caption'].',';
   }
} //$wpcoop_fields
$string=substr($string,0,-1)."\n";  // remove last "," add new line

// issue for a single subscriber
//$possible_statuses=$wpcoop->shares->get_possible_statuses();

//print_tab($ops);

//D: send to the browser and force a file download with the name given by filename.
//F: save to a local file with the name given by filename (may include a path).
//S: return the document as a string. filename is ignored.
$output_mode='D';

foreach ($ops as $id=>$user) {
        foreach($wpcoop_fields['tabs'] as $k=>$tab) {
           $prefix= ($tab['slug']=='wp')? '' : $this->plugin_prefix.$this->usersdata_prefix.$tab['slug'].'_';
           //echo $prefix."<br>";
           foreach($tab['fields'] as $field) {
             //echo $prefix.$field['name'].'<br>';
             //echo $user[$prefix.$field['name']].'<br>';
             //echo (isset($user[$prefix.$field['name']]))? $user[$prefix.$field['name']].',' : ',';
             //echo (isset($meta[$prefix.$field['name']]))? $meta[$prefix.$field['name']][0].',' : ',';
             $string.=(isset($user[$prefix.$field['name']]))? str_replace(',', ' ',$user[$prefix.$field['name']]).',' : ',';
             //echo "<br>";
           }
        } //$wpcoop_fields
        $string=substr($string,0,-1)."\n";  // remove last , add new line
}

header('Content-Type: application/plain-text');
header('Content-Disposition: attachment; filename="'.date('Ymd-').$filename.'.csv"');
echo $string;
