<?php

/**
 * Exit if accessed directly
 */
if ( !defined( 'ABSPATH' ) ) {
    exit;
}

function wp_coop_get_blogs_from_email($email){
  //$email must be validated email
  $user=get_user_by('email',$email);
  $userblogs=false;
  if (!empty($user)) {
    $userblogs=get_blogs_of_user($user->ID);
  }
  return $userblogs; // false if user is not registered, array of blogs user is registered on, empty if user exits but not registered on any blogs,
}

function wpcoop_get_possible_user() {


}

function wpcoop_check_key() {

  return 'no';
}

function wpcoop_subscribe_form($checkkey='no', $userid=0) {
  global $wpcoop;
  //print_tab($wpcoop);
  $user_data_fields=$wpcoop->members->get_user_data_fields();
  //print_tab($user_data_fields);
  $wpcoop_fields=$wpcoop->members->get_users_added_fields();
  //print_tab($wpcoop_fields);
  // init user_data
  $user_data=array();
  // no userObj yet
  $userObj=false;
  echo 'vhdhgfdgjdh';
  if ($checkkey=='no' && !$userid==0) {
    // see class wpcoop_admin admin_subscribers()
    // fill user_data in case user exists
    $user_data['ID']= $userid;
    // fill   user_data with old values
    $userObj = get_userdata( $userid );
    $user_data['roles']= $userObj->roles;
    $meta=get_user_meta($userid);
    foreach($user_data_fields as $k=>$field) {
        //echo 'user_data_field: '.$k.'<br>';
        //$user_data[$k]= (isset($meta[$this->plugin_prefix.$k]))? $meta[$this->plugin_prefix.$k][0] : '';
        $user_data[$k]= (isset($userObj->{$k}))? $userObj->{$k} : '';
    }
    foreach($wpcoop_fields['tabs'] as $tab) {
       if($tab['slug']!=$slug) {
            $slug=$tab['slug'];
            if ($slug=='wp') {
              continue;
            }
            $prefix = ($slug=='wp')? '' : $wpcoop->plugin_prefix.$wpcoop->usersdata_prefix.$slug.'_';

       }
       foreach($tab['fields'] as $field) {
        $user_data[$prefix.$field['name']]= (isset($meta[$prefix.$field['name']]))? $meta[$prefix.$field['name']][0] : '';
        switch($field['tag']) {
            case 'input':
                switch($field['type']){
                    case 'checkbox':
                        //echo $prefix.$field['name'].': '.meta[$prefix.$field['name']].'<br>';
                        $user_data[$prefix.$field['name']] = (isset($meta[$prefix.$field['name']]) && $meta[$prefix.$field['name']][0]=='y') ? 'y' : 'n';
                        break;
                    case 'text':
                    default:
                }
                break;
            case 'textarea':
            case 'select':
            default:
        }
       }
    } //$wpcoop_fields
    //print_tab($user_data);

    // copy wp fields
    $pluginprefix=$wpcoop->plugin_prefix;
    if ($user_data[$pluginprefix.$wpcoop->usersdata_prefix.'membertype_type']=='c') {
        $prefix=$pluginprefix.$wpcoop->usersdata_prefix.'memberperson_';
    } else {
        $prefix=$pluginprefix.$wpcoop->usersdata_prefix.'representative_';
    }
    $user_data[$prefix.'first_name']=$user_data['first_name'];
    $user_data[$prefix.'last_name']=$user_data['last_name'];
    $user_data[$prefix.'user_email']=$user_data['user_email'];
    $user_data[$prefix.'user_url']=$user_data['user_url'];
    //echo '----userdata--current data--<br>';
    $user_data['cap'] =($userObj->has_cap($wpcoop->plugin_capability))? 1 : 0;
    //print_tab($user_data);


                // user form
                ?>
                    <form  method="post" >
                    <?php //echo wp_nonce_field( 'wpcoopsubscribers', $pluginprefix.'wpnonce', true, false );
                    //echo '<table>';
                    if (isset($user_data['ID']) && $user_data['ID']!=-1) {
                     //echo '<input type="hidden" name="'.$pluginprefix.'user_id'.'" value="'.$user_data['ID'].'"   />';
                    }
                    $slug='';
                    foreach($wpcoop_fields['tabs'] as $tab) {
                        if($tab['slug']!=$slug) {
                            if ($tab['slug']=='internal') continue;
                            echo '<table class="'.$pluginprefix.$tab['class'].'" >';
                            $slug=$tab['slug'];
                            $prefix = ($slug=='wp')? '' : $pluginprefix.$wpcoop->usersdata_prefix.$slug.'_';
                            echo '<tr><th class="'.$pluginprefix.$tab['class'].'" >'.$tab['caption'].'</th></tr>';
                        }
                        foreach($tab['fields'] as $field) {
                          //echo $prefix.$field['name'].': '.$user_data[$prefix.$field['name']].'<br>';
                          $dis= (isset($field['dis']) && $field['dis']=='y')? 'disabled="disabled"' : '';
                          switch ($field['tag']) {
                                case 'textarea':
                                 echo '<tr>
                                        <td>'.esc_html($field['caption']).'</td>
                                        <td><textarea  '.$dis.' name="'.esc_attr($prefix.$field['name']).'">'.esc_attr($user_data[$prefix.$field['name']]).'</textarea></td>
                                        <td>'.esc_html($field['desc']).'</td>
                                       </tr>';
                                 break;
                                case 'select':
                                 $options= (isset($field['values']))? $wpcoop->admin->get_select_options($field['values']) : array() ;
                                 if (!empty($options)) {
                                     echo  '<tr>
                                             <td>'.esc_html($field['caption']).'</td>
                                             <td>
                                              <select '.$dis.' name="'.esc_attr($prefix.$field['name']).'" >';
                                              foreach($options as $k=>$option) {
                                                $sel= ($user_data[$prefix.$field['name']]==$k)? 'selected="selected"' : '';
                                                echo '<option value="'.esc_attr($k).'" '.$sel.' >'.esc_html($option).'</option>';
                                              }
                                      echo '
                                              </select>
                                             </td>
                                             <td>'.esc_html($field['desc']).'</td>
                                            </tr>';
                                 }
                                 break;
                                case 'input':
                                 $type="text";
                                 $checked='';
                                 $value='value="'.esc_attr($user_data[$prefix.$field['name']]).'"';
                                 switch ($field['type']) {
                                  case 'checkbox':
                                   $type="checkbox";
                                   if($user_data[$prefix.$field['name']]=='y') $checked='checked="checked"';
                                   $value='';
                                   break;
                                 }
                                 echo  '<tr>
                                         <td>'.esc_html($field['caption']).'</td>
                                         <td><input '.$dis.'type="'.$type.'" name="'.esc_attr($prefix.$field['name']).'" '.$value.' '.$checked.' /></td>
                                         <td>'.esc_html($field['desc']).'</td>
                                        </tr>';
                               break;
                          } // switch tag
                        } // field

                        echo '</table>';
                    }
                    //echo '</table>';
                    //submit_button( __( 'Record', $wpcoop->plugin_textdomain ), 'primary', $pluginprefix.'record', true);
                    echo '</form>';
  } elseif ($checkkey=='no' && $userid==0) {
    $code=1278547;

    echo 'Entrez ci-dessous l\'adresse email avec la quelle vous voulez souscrire.<br>Si vous pensez être inscrit sur un site PEP2A mais vous ne savez plus avec quelle adresse email, vous pouvez entrer jusqu\'à trois adresses email (séparées par des virgules).<br/>
    Répondez à la question posée qui permet d\'éviter les réponses par robots, puis validez en cliquant OK, un message vous sera envoyé avec les instructions pour continuer';
    echo '<form  method="post" >';
    wp_nonce_field( $wpcoop->plugin_prefix.'subscribe', $wpcoop->plugin_prefix.'wpnonce', true );
    $val1=random_int(0,10);$val2=random_int(0,10);$val3=random_int(0,10);
    $sum=$val1+$val2+$val3;
    $hash=hash('md5', $sum+$code);
    echo '<p>Adresses emails<input type="text" name="'.$wpcoop->plugin_prefix.'whoamiemails'.'" /></p>
          <p>Combien font ('.$val1.'+'.$val2.'+'.$val3.')? <input type="text" name="'.$wpcoop->plugin_prefix.'captcha'.'" value="" /></p>
          <input type="hidden" name="'.$wpcoop->plugin_prefix.'hash'.'" value="'.$hash.'" />
          <input type="submit" value="ok" />
          </form>';

  }

 //echo 'fin';


}

///////////////////////////////////////// MAIN ////////////////////////////////////////
/*
$user='coco';
$user_email="hubic@pep2a.fr";

$meta=array(
'add_to_blog'=>2,
'new_role'=>'subscriber');


remove_filter('after_signup_user', 'wpmu_signup_user_notification');
wpmu_signup_user($user,$user_email,$meta);
//voir after_signup_user
//global $wp_filter;
//print_tab($wp_filter['after_signup_user']);

//print_tab($wp_errors);
/*
[callbacks] => Array
        (
            [10] => Array
                (
                    [wpmu_signup_user_notification] => Array
                        (
                            [function] => wpmu_signup_user_notification
                            [accepted_args] => 4
                        )

                )

        )
die('stop');


*/

$maintenance=false;
$timeout=86400; // 3600*24

global $wpcoop;

//print_tab($wpcoop);

if (!is_object($wpcoop)) {
    get_header();
    echo "Erreur, plugin wpcoop inactif";
    get_footer();
    exit;
} elseif ($maintenance) {
    get_header();
    echo 'yhdfsfdhh';
    echo "<h1>Désolé, maintenance en cours sur cette page, revenez plus tard, merci</h1>";
    get_footer();
    exit;
}



///

$user = wp_get_current_user();

$unknown=($user->ID==0)? '<li>L\'adresse email avec laquelle vous voulez souscrire (éventuellement adresse email ou identifiant et mot de passe si vous êtes déjà sociétaire ou avez un compte sur un des sites pep2a -pep2a.fr, pep2a.fr/societaires, ou pep2a.fr/intranet. Si vous ne savez plus, une procédure de récupération sera tentée )</li>' : '';
$unknown='<li>L\'adresse email avec laquelle vous voulez souscrire (celle avec laquelle vous êtes inscrit si vous êtes déjà sociétaire)</li>';

$connected=($user->ID==0)? '' : 'Vous êtes connecté sur un site PEP2A, restez connecté pour poursuivre votre souscription';


if (!isset($_COOKIE[$wpcoop->plugin_prefix.'subscribe_step1']) ) {
    // no cookie set
    setcookie($wpcoop->plugin_prefix.'subscribe_step1',time(), time()+$timeout); // 24h left
    get_header();
    echo '<h2>Souscrire des parts de PEP2A : 1ère étape</h2>';
    //echo '<div><span>'.$connected.'</span></div>';
    echo '
    <div><span>Le processus de souscription se fait en deux étapes ; vous devez disposer de : </span>
    <ul>
    '.$unknown.'
    <li>Une pièce d\'identité (CNI recto/verso, passeport...) et un justificatif de domicile (facture électricité, téléphone... de moins de 3 mois), de préférence sous forme numérique (scan, photo)</li>
    <li>Un moyen de paiement, virement si possible, sinon Carte Bancaire, vous pourrez également régler votre souscription par chèque (à éviter)</li>
    </ul>
    <!-- <div><span>Le processus de souscription durera environ 15 minutes ; il peut être interrompu et repris dans les 24 heures</span></div> -->
    <p/>
    <div><span>Conformément à la réglementation, merci de télécharger le Document d\'Information Synthétique (DIS) afin de prendre connaissance  des risques associés à la souscription de parts PEP2A</span>. Le DIS comporte des liens vers les articles significatifs des statuts, <a href="https://pep2a.fr/societaires/wp-content/uploads/sites/2/2020/07/20190401-Statuts_SCIC_PEP2A_2019-03-23_statuts-modifies-suite-AGE.pdf">mais les statuts complets sont ici (pdf).</a><p/></div>
    <form method="post">
    <a href="">Téléchargement du DIS</a>
    <div><span>Après avoir téléchargé le document, veuillez confirmez que vous en avez bien pris connaissance</span>
    <input type="submit" name="'.$wpcoop->plugin_prefix.'subscribe_step2'.'" value="Je confirme"/>
    </form>
    </div>
    ';
    get_footer();
    exit;
} elseif (isset($_COOKIE[$wpcoop->plugin_prefix.'subscribe_step1'])
      && !isset($_COOKIE[$wpcoop->plugin_prefix.'subscribe_step2'])
      && !isset($_POST[$wpcoop->plugin_prefix.'subscribe_step2'])) {
    // download dis
    setcookie($wpcoop->plugin_prefix.'subscribe_step2',time(), time()+$timeout); // 24h left to acknowlege
    $dis=get_option('wpcoop_options_dis1_file');
    header("Content-type: application/force-download");
    header("Content-Disposition: attachment;filename=".urlencode($dis['name']));
    echo base64_decode($dis['data']);
    //exit;

} elseif (isset($_COOKIE[$wpcoop->plugin_prefix.'subscribe_step1'])
      &&  !isset($_COOKIE[$wpcoop->plugin_prefix.'subscribe_step2'])
      &&   isset($_POST[$wpcoop->plugin_prefix.'subscribe_step2'])) {
    // validated without having downloaded dis
    get_header();
    echo '<h2>Souscrire des parts de PEP2A : 1ère étape </h2>';
    echo '
    <div><span>Conformément à la réglementation, </span><span style="color: red">VOUS DEVEZ</span> télécharger le DIS afin de prendre connaissance  des risques associés à la souscription de parts PEP2A</span></div>
    <form method="post">
    <a href="">Téléchargement du DIS</a>
    <div><span>Après avoir téléchargé le document, veuillez confirmez que vous en avez bien pris connaissance</span>
    <input type="submit" name="'.$wpcoop->plugin_prefix.'subscribe_step2'.'" value="Je confirme"/>
    </form>
    </div>
    ';
    get_footer();
    exit;

} elseif (isset($_COOKIE[$wpcoop->plugin_prefix.'subscribe_step1'])
      &&  isset($_COOKIE[$wpcoop->plugin_prefix.'subscribe_step2'])
      &&  !isset($_REQUEST['bs1'])) {
    // dis downloaded and validation done
    get_header();
    // ajout de la classe survol pour RIB apparence/personnaliser/css additionnel
/*
a.survol {
  position:relative;
  border-bottom:1px dashed #808080;
  text-decoration: none;
}
a:hover.survol {
  text-decoration: none;
  background: none;
}
a.survol span {display: none;}

a:hover.survol span {
  display: block;
  position: relative;
  top: -20px;
  left: 10px;
  z-index: 20;
  width:100%;
  padding:2px 4px;
}
*/
    echo '<h2>Souscrire des parts de PEP2A : 2ième étape</h2>';
    echo 'La souscription en ligne ne fonctionne pas encore, vous devez donc télécharger et remplir le bulletin de souscription, puis le retourner avec les justificatifs demandés à l\'adresse email <a href="mailto:souscription@pep2a.fr">souscription@pep2a.fr</a>. <br />
    <ul>
    <li>Vous pouvez régler votre souscription par virement en utilisant <a class="survol" href="#">ce rib (passer la souris ici)<span><img src="https://pep2a.fr/societaires/wp-content/uploads/sites/2/2020/07/20200720-image_rib_pep2a.jpg" alt=""></span></a></li>
    <li>Vous pouvez également régler en ligne par <a href="https://secure.payplug.com/p/Xy6jr">Carte Bancaire sur le site sécurisé Payplug</a> (et donc vos données ne transitent pas par le site PEP2A)</li>
    <li>Vous pouvez aussi envoyer vos documents et un chèque à l\'adresse
 postale de pep2a, mais nous ne conseillons pas cette option, qui occasionnera un temps de traitement plus long car demandera plus de travail et de déplacement à nos bénévoles (n\'oubliez pas que notre coopérative fonctionne essentiellement grâce au bénévolat des sociétaires, qui sont répartis sur le département).</li></ul>yyfruetye
 <a href="?bs1">Téléchargement du Bulletin de souscription</a><p/>';
print_tab($this);

$this->subscribe_form('no',$user->ID);


 /*echo 'RIB PEP2A : <br>
 La Nef<br>
 IMMEUBLE WOOPA<br>8 AVENUE DES CANUTS,<br>
 CS 60032<br>
 69517 VAULX EN VELIN CEDEX<br>
 IBAN: FR76 2157 0000 0100 5166 3000 135<br>
 BIC: STFEFR21XXX';*/

    echo '<p/>';


    get_footer();
    exit;

} elseif (isset($_COOKIE[$wpcoop->plugin_prefix.'subscribe_step1'])
      &&  isset($_COOKIE[$wpcoop->plugin_prefix.'subscribe_step2'])
      &&  isset($_REQUEST['bs1'])) {
    $dis=get_option('wpcoop_options_bs1_file');
    header("Content-type: application/force-download");
    header("Content-Disposition: attachment;filename=".urlencode($dis['name']));
    echo base64_decode($dis['data']);
}

/* elseif (isset($_POST) && isset($_POST[$wpcoop->plugin_prefix.'whoamiemails'])) {

  print_tab($_POST);
  $emails=explode(',', str_replace(' ', '', $_POST[$wpcoop->plugin_prefix.'whoamiemails']));
  //print_tab($emails);
  $emailsok=true;
  $newemails='';
  $emailsent=false;
  $mess=array();
  print_tab($emails);
    /// TODO code entre 2 fois !!!

    $code=1278547;
  if (isset($_POST[$wpcoop->plugin_prefix.'hash']) && isset($_POST[$wpcoop->plugin_prefix.'captcha']) && $_POST[$wpcoop->plugin_prefix.'hash']==hash('md5', $_POST[$wpcoop->plugin_prefix.'captcha']+$code)) {
  if (count($emails)<4) {
      foreach($emails as $email) {
        if (!is_email($email)) continue;
        $blogs=wp_coop_get_blogs_from_email($email);
        print_tab($blogs);
        $mess[$email]='';
        if ($blogs===false){
          $mess[$email].='Vous n\'êtes pas inscrit sur les sites pep2a, <a href="'.$thispageurl.'?email='.urlencode($email).'">cliquez sur ce lien</a> pour souscrire avec l\'email: '.esc_html($email);
        } else {
          foreach($blogs as $blog){
           $mess[$email].='Vous êtes inscrit sur le site '.$blog['blogname'].'('.$blog['siteurl'].'), avec l\'email: '.esc_html($email).', <a href="'.$thispageurl.'?email='.urlencode($email).'">cliquez sur ce lien</a> pour souscrire avec cet email';
          }
        }
      }
      print_tab($mess);
      $cookiename=$wpcoop->plugin_prefix.'subscribe'.hash('md5', random_int(1,1000000));
      echo $cookiename;

      foreach($emails as $email) {
         $email=trim($email);
         echo '<ul>';
         if (is_email($email)) {
           //verif_account_and_send_info($email);
           if (wp_mail($email, 'instructions pour souscription pep2a', $mess[$email], array('From: souscriptions pep2a <souscriptions@pep2a.fr>'))){
            echo '<li>Un email a été envoyé à '.esc_html($email).', suivez les instructions contenues </li>';
            $emailsent=true;
           }else {
            echo '<li>Un email n\'a pas pu être envoyé à '.esc_html($email).'</li>';
           }

         } else {
           echo '<li>'.esc_html($email).' n\'est pas une adresse email valide</li>';
           $newemails.=$email.',';
           $emailsok=false;
         }
         echo '</ul>';
      }
      if ($emailsok) {
          get_footer();
          die;
      }
      echo 'Vous pouvez recommencer la procédure ci-dessous si vous vous êtes trompé d\'adresse(s) email<p /><p/>';
      $emails=substr($newemails, 0, -1);
    } else {
        echo '3 adresses email maximum!</p>';
    }
  } else {
      echo $code.'<br>';
      echo hash('md5', $_POST[$wpcoop->plugin_prefix.'captcha']+$code).'<br>';
      echo 'Erreur dans la somme, recommencez!<br/>';
  }
}



$user = wp_get_current_user();
//$thispageurl given by including procedure
//


if (0==$user->ID) {

   $checkkey=wpcoop_check_key();
   if ($checkkey=='no') {
     // user not logged in && no key, log or new
     //echo $thispageurl;
     echo 'Si vous êtes déjà coopérateur ou si vous avez un compte sur un site PEP2A, merci de vous connectez en cliquant sur ce lien:
           <a href="'.wp_login_url($thispageurl).'" >Connexion au site</a><p/>';
     wpcoop_subscribe_form('no');
   } elseif ($checkkey=='bad') {
     // bad key, redo
     echo '<li>Le code est faux ou trop ancien</li>';
     echo '<li>Si vous êtes déjà coopérateur ou si vous avez un compte sur un site PEP2A, merci de vous connectez en cliquant sur ce lien:
           <a href="'.'kjh'.'" >Connexion au site</a></li>';
     wpcoop_subscribe_form('bad');
   } elseif ($checkkey=='user') {
     // test si utilisateur du site societaires
     // si deja societaire (part validees ou pas), afficher le nombre de parts
     //

     echo '<li>Vous avez un compte sur un site PEP2A, merci de vous connectez en cliquant sur ce lien:
           <a href="'.'kjh'.'" >Connexion au site</a></li>';
   } elseif ($checkkey=='new') {
     wpcoop_subscribe_form('new');

   } else {
       echo 'erreur';
   }


//wp_redirect( wp_login_url($thispageurl));

} elseif (!current_user_can('read')) {

 echo '<li>Si vous êtes déjà coopérateur ou si vous avez un compte sur un site PEP2A, merci de vous connectez en cliquant sur ce lien:
       <a href="'.'kljkk'.'" >Connexion au site</a></li>';
 //wp_redirect( wp_login_url(get_active_blog_for_user( $user->ID )->siteurl));

} else {
 // already known on this site
 echo 'déjà connu du site';
}


get_footer();
*/
